import { Module } from '@nestjs/common';
import { ProductController } from './product.controller';
import { ProductService } from './product.service';
import { ProductEntity } from './product.entity';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StorageModule } from '../tools/storage/storage.module';
import { ParamConfigModule } from '../system/param-config/param-config.module';

@Module({
  imports: [TypeOrmModule.forFeature([ProductEntity]), StorageModule, ParamConfigModule],
  controllers: [ProductController],
  providers: [ProductService]
})
export class ProductModule {}
