import { Module } from '@nestjs/common';
import { ProjectController } from './project.controller';
import { ProjectService } from './project.service';
import { ProjectEntity } from './project.entity';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StorageModule } from '../tools/storage/storage.module';
import { DatabaseModule } from '~/shared/database/database.module';

@Module({
  imports: [TypeOrmModule.forFeature([ProjectEntity]), StorageModule, DatabaseModule],
  controllers: [ProjectController],
  providers: [ProjectService]
})
export class ProjectModule {}
