import { ApiProperty } from '@nestjs/swagger';
import { Column, Entity, OneToMany, Relation } from 'typeorm';

import { CompleteEntity } from '~/common/entity/common.entity';
import { DictItemEntity } from '../dict-item/dict-item.entity';

@Entity({ name: 'sys_dict_type' })
export class DictTypeEntity extends CompleteEntity {
  @Column({ type: 'varchar', length: 50 })
  @ApiProperty({ description: '字典名称' })
  name: string;

  @Column({ type: 'varchar', length: 50, unique: true })
  @ApiProperty({ description: '字典类型' })
  code: string;

  @Column({ type: 'tinyint', default: 1 })
  @ApiProperty({ description: ' 状态' })
  status: number;

  @Column({ type: 'varchar', nullable: true })
  @ApiProperty({ description: '备注' })
  remark: string;

  @OneToMany(() => DictItemEntity, dictItem => dictItem.type, {
    cascade: true
  })
  dictItems: Relation<DictItemEntity[]>;
}
