/*
 Navicat Premium Data Transfer

 Source Server         : 公司电脑
 Source Server Type    : MySQL
 Source Server Version : 80027
 Source Host           : 192.168.60.39:13307
 Source Schema         : hxoa

 Target Server Type    : MySQL
 Target Server Version : 80027
 File Encoding         : 65001

 Date: 28/03/2024 13:07:35
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for company
-- ----------------------------
DROP TABLE IF EXISTS `company`;
CREATE TABLE `company`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公司名称',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_a76c5cd486f7779bd9c319afd2`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of company
-- ----------------------------
INSERT INTO `company` VALUES (1, '2024-03-04 15:44:43.005593', '2024-03-08 08:48:37.000000', '深圳市立创电子商务有限公司', 0);
INSERT INTO `company` VALUES (4, '2024-03-04 16:05:34.701780', '2024-03-04 16:05:34.701780', '深圳市诚亨泰科技有限公司', 0);
INSERT INTO `company` VALUES (5, '2024-03-04 16:05:38.867786', '2024-03-04 16:05:38.867786', '东莞市顶源电子有限公司', 0);
INSERT INTO `company` VALUES (6, '2024-03-04 16:05:42.479027', '2024-03-04 16:05:42.479027', '深圳市福田区赛格电子市场金佳电子经营部', 0);
INSERT INTO `company` VALUES (7, '2024-03-04 16:05:46.775364', '2024-03-04 16:05:46.775364', '深圳市思界电子科技有限公司', 0);
INSERT INTO `company` VALUES (8, '2024-03-04 16:05:55.806537', '2024-03-04 16:05:55.806537', '广州市星翼电信科技有限公司', 0);
INSERT INTO `company` VALUES (9, '2024-03-04 16:06:03.003860', '2024-03-04 16:09:49.000000', '快递费', 1);
INSERT INTO `company` VALUES (10, '2024-03-04 16:06:09.788572', '2024-03-04 16:06:09.788572', '青岛丰喆精密模具有限公司', 0);
INSERT INTO `company` VALUES (11, '2024-03-04 16:06:12.872983', '2024-03-04 16:06:12.872983', '深圳嘉立创科技集团股份有限公司', 0);
INSERT INTO `company` VALUES (12, '2024-03-04 16:06:19.823410', '2024-03-04 16:06:19.823410', '北京特倍福电子技术有限公司', 0);
INSERT INTO `company` VALUES (13, '2024-03-04 16:06:25.937749', '2024-03-04 16:06:25.937749', '上海脉芯网络科技有限公司', 0);
INSERT INTO `company` VALUES (14, '2024-03-22 11:01:20.588144', '2024-03-22 11:01:20.588144', '深圳市声能达科技有限公司', 0);
INSERT INTO `company` VALUES (15, '2024-03-26 10:29:45.595059', '2024-03-26 10:29:45.595059', '深圳市新得润电子有限公司', 0);

-- ----------------------------
-- Table structure for company_storage
-- ----------------------------
DROP TABLE IF EXISTS `company_storage`;
CREATE TABLE `company_storage`  (
  `company_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`company_id`, `file_id`) USING BTREE,
  INDEX `IDX_0958ee6ca6f52985840624bb91`(`company_id`) USING BTREE,
  INDEX `IDX_bdd3a301229b9dec4b95549dfe`(`file_id`) USING BTREE,
  CONSTRAINT `FK_0958ee6ca6f52985840624bb916` FOREIGN KEY (`company_id`) REFERENCES `company` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_bdd3a301229b9dec4b95549dfe7` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of company_storage
-- ----------------------------
INSERT INTO `company_storage` VALUES (1, 141);
INSERT INTO `company_storage` VALUES (1, 142);
INSERT INTO `company_storage` VALUES (1, 143);

-- ----------------------------
-- Table structure for contract
-- ----------------------------
DROP TABLE IF EXISTS `contract`;
CREATE TABLE `contract`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `contract_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '合同编号',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '合同标题',
  `type` int NOT NULL COMMENT '合同类型(字典)',
  `party_a` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '甲方',
  `party_b` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '乙方',
  `signing_date` date NULL DEFAULT NULL,
  `delivery_deadline` date NULL DEFAULT NULL,
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '审核状态(字典)',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_a2f8461960ce0fcbd0d6551009`(`contract_number`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of contract
-- ----------------------------
INSERT INTO `contract` VALUES (1, '2024-02-29 11:38:20.959071', '2024-03-08 08:36:57.000000', '2022092301', '山东矿机华信智能科技有限公司', 11, '山东矿机华信', '青岛比特维尔', '2024-01-01', '2024-02-01', 1, 0);
INSERT INTO `contract` VALUES (2, '2024-02-29 16:11:54.286196', '2024-03-08 13:17:00.000000', 'www', 'weqw', 10, 'rqw', 'rwq', '2024-02-01', '2024-02-28', 2, 0);
INSERT INTO `contract` VALUES (3, '2024-03-01 15:26:07.794697', '2024-03-01 15:30:49.000000', 'test1211', 'test', 13, '山东搞笑信息', '齐鲁医院', '2024-03-01', '2024-03-20', 0, 1);
INSERT INTO `contract` VALUES (4, '2024-03-01 16:47:22.125670', '2024-03-01 16:47:22.125670', '33024242', '21412412', 11, '2141', '41241', '2024-03-01', '2024-03-01', 0, 0);
INSERT INTO `contract` VALUES (6, '2024-03-08 10:37:33.943916', '2024-03-08 10:37:59.000000', 'www12', 'weqw', 11, 'fw', 'fw', NULL, NULL, 1, 0);
INSERT INTO `contract` VALUES (7, '2024-03-11 15:28:38.834970', '2024-03-11 15:29:12.000000', 'wfwfwqf', 'fwqfwq', 11, 'wqfwq', 'fwqfw', NULL, NULL, 1, 0);
INSERT INTO `contract` VALUES (8, '2024-03-11 17:10:24.104620', '2024-03-11 17:11:04.000000', '24214', '214214', 10, '21', '4214', NULL, NULL, 1, 0);

-- ----------------------------
-- Table structure for contract_storage
-- ----------------------------
DROP TABLE IF EXISTS `contract_storage`;
CREATE TABLE `contract_storage`  (
  `contract_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`contract_id`, `file_id`) USING BTREE,
  INDEX `IDX_b0a3f22af56decbc128c674447`(`contract_id`) USING BTREE,
  INDEX `IDX_2fe7cda0f292b099b7e13f8f61`(`file_id`) USING BTREE,
  CONSTRAINT `FK_2fe7cda0f292b099b7e13f8f612` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_b0a3f22af56decbc128c674447e` FOREIGN KEY (`contract_id`) REFERENCES `contract` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of contract_storage
-- ----------------------------
INSERT INTO `contract_storage` VALUES (1, 133);
INSERT INTO `contract_storage` VALUES (1, 134);
INSERT INTO `contract_storage` VALUES (2, 168);
INSERT INTO `contract_storage` VALUES (2, 169);
INSERT INTO `contract_storage` VALUES (7, 170);
INSERT INTO `contract_storage` VALUES (7, 171);
INSERT INTO `contract_storage` VALUES (8, 172);

-- ----------------------------
-- Table structure for materials_in_out
-- ----------------------------
DROP TABLE IF EXISTS `materials_in_out`;
CREATE TABLE `materials_in_out`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `product_id` int NOT NULL COMMENT '产品',
  `in_or_out` tinyint NOT NULL COMMENT '入库或出库',
  `time` date NULL DEFAULT NULL COMMENT '时间',
  `quantity` int NOT NULL DEFAULT 0 COMMENT '数量',
  `unit_price` decimal(15, 10) NOT NULL DEFAULT 0.0000000000 COMMENT '单价',
  `amount` decimal(15, 10) NOT NULL DEFAULT 0.0000000000 COMMENT '金额',
  `agent` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '经办人',
  `issuance_number` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '领料单号',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  `inventory_inout_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '原材料出入库编号',
  `project_id` int NULL DEFAULT NULL COMMENT '项目',
  `inventory_id` int NOT NULL COMMENT '库存',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_770f1c4afd9631499ccc08bd58b`(`product_id`) USING BTREE,
  INDEX `FK_7a5bd19f8fd458f6336efedf765`(`project_id`) USING BTREE,
  INDEX `FK_f5dc1f1e4db2f990ef89f0398fa`(`inventory_id`) USING BTREE,
  CONSTRAINT `FK_770f1c4afd9631499ccc08bd58b` FOREIGN KEY (`product_id`) REFERENCES `product` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_7a5bd19f8fd458f6336efedf765` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_f5dc1f1e4db2f990ef89f0398fa` FOREIGN KEY (`inventory_id`) REFERENCES `materials_inventory` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 168 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of materials_in_out
-- ----------------------------

-- ----------------------------
-- Table structure for materials_in_out_storage
-- ----------------------------
DROP TABLE IF EXISTS `materials_in_out_storage`;
CREATE TABLE `materials_in_out_storage`  (
  `materials_in_out_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`materials_in_out_id`, `file_id`) USING BTREE,
  INDEX `IDX_9df13ab4d4747575c310668581`(`materials_in_out_id`) USING BTREE,
  INDEX `IDX_96c00bfbcd71e93a6cc070e8e6`(`file_id`) USING BTREE,
  CONSTRAINT `FK_96c00bfbcd71e93a6cc070e8e6c` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_9df13ab4d4747575c3106685810` FOREIGN KEY (`materials_in_out_id`) REFERENCES `materials_in_out` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of materials_in_out_storage
-- ----------------------------

-- ----------------------------
-- Table structure for materials_inventory
-- ----------------------------
DROP TABLE IF EXISTS `materials_inventory`;
CREATE TABLE `materials_inventory`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  `product_id` int NOT NULL COMMENT '产品',
  `quantity` int NOT NULL DEFAULT 0 COMMENT '库存产品数量',
  `unit_price` decimal(15, 10) NOT NULL DEFAULT 0.0000000000 COMMENT '库存产品单价',
  `project_id` int NOT NULL COMMENT '项目',
  `position` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '库存位置',
  `inventory_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '库存编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_3915e159f03408035a62721d5be`(`project_id`) USING BTREE,
  INDEX `FK_413008d6a91b215b66971c9a9e8`(`product_id`) USING BTREE,
  CONSTRAINT `FK_3915e159f03408035a62721d5be` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_413008d6a91b215b66971c9a9e8` FOREIGN KEY (`product_id`) REFERENCES `product` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 54 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of materials_inventory
-- ----------------------------

-- ----------------------------
-- Table structure for product
-- ----------------------------
DROP TABLE IF EXISTS `product`;
CREATE TABLE `product`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '产品名称',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  `company_id` int NULL DEFAULT NULL COMMENT '所属公司',
  `name_pinyin` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '产品名称的拼音',
  `unit_id` int NULL DEFAULT NULL COMMENT '单位(字典)',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `product_specification` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '产品规格',
  `product_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '产品编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_a0503db1630a5b8a4d7deabd556`(`company_id`) USING BTREE,
  INDEX `FK_b15422982adca3bf53adfb535de`(`unit_id`) USING BTREE,
  CONSTRAINT `FK_a0503db1630a5b8a4d7deabd556` FOREIGN KEY (`company_id`) REFERENCES `company` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_b15422982adca3bf53adfb535de` FOREIGN KEY (`unit_id`) REFERENCES `sys_dict_item` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 33 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of product
-- ----------------------------
INSERT INTO `product` VALUES (1, '2024-03-04 16:47:37.604035', '2024-03-25 11:33:59.175698', '位移传感器', 0, 10, 'weiyichuanganqi', NULL, '', '', 'P1024');
INSERT INTO `product` VALUES (2, '2024-03-04 16:47:41.483273', '2024-03-25 11:33:55.073301', '磁环', 1, 6, 'cihuan', NULL, '', '', 'P1023');
INSERT INTO `product` VALUES (3, '2024-03-04 16:47:44.911165', '2024-03-25 11:33:47.367179', '天线', 0, 5, 'tianxian', NULL, '', '', 'P1022');
INSERT INTO `product` VALUES (4, '2024-03-04 16:47:48.398543', '2024-03-25 11:33:45.962454', '集成电路', 0, 8, 'jichengdianlu', NULL, '', '', 'P1021');
INSERT INTO `product` VALUES (5, '2024-03-05 09:09:05.015757', '2024-03-25 11:33:44.769681', '更新', 1, NULL, NULL, NULL, '', '', 'P1020');
INSERT INTO `product` VALUES (12, '2024-03-05 09:25:29.584423', '2024-03-25 11:33:43.028337', '巴伦', 0, 13, 'balun', 15, 'test', '', 'P1019');
INSERT INTO `product` VALUES (13, '2024-03-05 13:53:15.998630', '2024-03-25 11:33:41.013316', '极薄煤层控制器', 0, 10, 'jibaomeicengkongzhiqi', 14, '', '', 'P1018');
INSERT INTO `product` VALUES (14, '2024-03-05 16:05:30.485017', '2024-03-25 11:33:38.276238', '天线', 0, 13, 'tianxian', 15, '', '', 'P1017');
INSERT INTO `product` VALUES (15, '2024-03-05 17:21:20.378006', '2024-03-25 11:33:36.429920', 'USB智能充电线', 0, 7, 'USBzhinengchongdianxian', NULL, '', '', 'P1016');
INSERT INTO `product` VALUES (16, '2024-03-05 17:24:03.148627', '2024-03-25 11:33:34.814008', '33', 1, 5, NULL, NULL, '', '', 'P1015');
INSERT INTO `product` VALUES (17, '2024-03-05 17:30:32.450320', '2024-03-25 11:33:33.437417', 'test', 1, 5, 'test', NULL, '', '', 'P1014');
INSERT INTO `product` VALUES (18, '2024-03-05 21:52:11.477508', '2024-03-25 11:33:31.247032', '新增', 1, NULL, 'xinzeng', NULL, '', '', 'P1013');
INSERT INTO `product` VALUES (19, '2024-03-06 08:53:25.600367', '2024-03-27 11:57:24.000000', '位移传感器', 0, 12, 'weiyichuanganqi', 14, '', 'GUC2400-860mm', 'P1012');
INSERT INTO `product` VALUES (20, '2024-03-06 09:12:47.327409', '2024-03-27 11:57:41.000000', '磁环', 0, 12, 'cihuan', 14, '', '12-1081', 'P1011');
INSERT INTO `product` VALUES (21, '2024-03-06 09:13:21.382776', '2024-03-25 11:33:26.704971', '集成电路', 0, 13, 'jichengdianlu', 15, '', '', 'P1010');
INSERT INTO `product` VALUES (22, '2024-03-06 16:38:06.999498', '2024-03-25 11:33:24.663945', '电磁阀驱动器', 0, 10, '', 14, '', '', 'P1009');
INSERT INTO `product` VALUES (23, '2024-03-06 16:40:32.859846', '2024-03-25 11:32:56.316568', '电子元器件', 0, 11, 'dianziyuanqijian', 21, '', '', 'P1006');
INSERT INTO `product` VALUES (24, '2024-03-07 09:48:35.854273', '2024-03-25 11:32:58.560805', '排针', 0, 1, 'paizhen', 15, '', '', 'P1007');
INSERT INTO `product` VALUES (25, '2024-03-11 13:19:40.149703', '2024-03-25 11:33:01.812839', '更新', 1, 5, 'gengxin', 16, 'weeeeeeeee', '', 'P1008');
INSERT INTO `product` VALUES (26, '2024-03-11 13:52:41.663603', '2024-03-25 11:32:32.798873', 'PCBA-线路板', 0, 11, 'PCBA-xianluban', 22, NULL, '', 'P1005');
INSERT INTO `product` VALUES (27, '2024-03-22 11:01:53.195802', '2024-03-27 11:57:32.000000', '蜂鸣器', 0, 14, 'fengmingqi', 15, '刘大伟', '', 'P1004');
INSERT INTO `product` VALUES (28, '2024-03-22 15:46:35.784165', '2024-03-27 11:57:02.000000', '222', 1, 1, '222', 14, '222', '222', 'P1005');
INSERT INTO `product` VALUES (29, '2024-03-22 16:02:00.927537', '2024-03-22 16:02:00.927537', 'wwr', 0, 4, 'wwr', 14, NULL, 'wrq', 'P1000');
INSERT INTO `product` VALUES (30, '2024-03-22 16:02:16.834435', '2024-03-27 11:57:04.000000', 'A321421', 1, 5, 'A321421', 14, NULL, '241', 'P1002');
INSERT INTO `product` VALUES (31, '2024-03-22 16:03:00.226909', '2024-03-22 16:03:39.000000', '集成电路', 0, 4, 'jichengdianlu', 15, NULL, 'SW8110Q', 'P1001');
INSERT INTO `product` VALUES (32, '2024-03-26 10:30:10.448050', '2024-03-26 10:30:10.448050', '端子线', 0, 15, 'duanzixian', 21, NULL, NULL, 'P1025');

-- ----------------------------
-- Table structure for product_storage
-- ----------------------------
DROP TABLE IF EXISTS `product_storage`;
CREATE TABLE `product_storage`  (
  `product_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`product_id`, `file_id`) USING BTREE,
  INDEX `IDX_6dd288598f0a0ea3f72f31cb42`(`product_id`) USING BTREE,
  INDEX `IDX_eecbd68d7d4d565baecee2d76c`(`file_id`) USING BTREE,
  CONSTRAINT `FK_6dd288598f0a0ea3f72f31cb422` FOREIGN KEY (`product_id`) REFERENCES `product` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_eecbd68d7d4d565baecee2d76c7` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of product_storage
-- ----------------------------
INSERT INTO `product_storage` VALUES (1, 124);
INSERT INTO `product_storage` VALUES (12, 144);
INSERT INTO `product_storage` VALUES (12, 145);
INSERT INTO `product_storage` VALUES (22, 176);
INSERT INTO `product_storage` VALUES (27, 177);

-- ----------------------------
-- Table structure for project
-- ----------------------------
DROP TABLE IF EXISTS `project`;
CREATE TABLE `project`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '项目名称',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_dedfea394088ed136ddadeee89`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of project
-- ----------------------------
INSERT INTO `project` VALUES (1, '2024-03-07 09:35:15.276345', '2024-03-08 08:48:21.000000', '星火项目', 0);
INSERT INTO `project` VALUES (2, '2024-03-07 09:35:20.004729', '2024-03-07 09:35:20.004729', '东大项目', 0);
INSERT INTO `project` VALUES (3, '2024-03-07 09:35:29.213057', '2024-03-07 09:35:29.213057', '沙湾煤业项目', 0);
INSERT INTO `project` VALUES (4, '2024-03-20 14:01:02.203909', '2024-03-20 14:24:33.000000', '测试项目2', 0);
INSERT INTO `project` VALUES (5, '2024-03-20 14:24:36.245179', '2024-03-20 14:24:36.245179', '测试项目3', 0);
INSERT INTO `project` VALUES (6, '2024-03-20 14:24:39.336620', '2024-03-20 14:24:39.336620', '测试项目4', 0);
INSERT INTO `project` VALUES (7, '2024-03-20 14:24:43.261902', '2024-03-20 14:24:43.261902', '测试项目测试项目测试项目测试项目测试项目', 0);
INSERT INTO `project` VALUES (8, '2024-03-20 14:24:45.976572', '2024-03-20 14:24:45.976572', '测试项目5', 0);
INSERT INTO `project` VALUES (9, '2024-03-20 14:24:53.929293', '2024-03-20 14:24:53.929293', '测试项目6', 0);
INSERT INTO `project` VALUES (10, '2024-03-20 14:24:56.436181', '2024-03-20 14:24:56.436181', '测试项目7', 0);
INSERT INTO `project` VALUES (11, '2024-03-20 14:24:58.916471', '2024-03-20 14:24:58.916471', '测试项目8', 0);
INSERT INTO `project` VALUES (12, '2024-03-20 14:25:13.153119', '2024-03-20 14:25:13.153119', '测试项目9', 0);

-- ----------------------------
-- Table structure for project_storage
-- ----------------------------
DROP TABLE IF EXISTS `project_storage`;
CREATE TABLE `project_storage`  (
  `project_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`project_id`, `file_id`) USING BTREE,
  INDEX `IDX_9058e954f8f09e2cfa2261c1f2`(`project_id`) USING BTREE,
  INDEX `IDX_ac08ac8e4f973873f03dafaca2`(`file_id`) USING BTREE,
  CONSTRAINT `FK_9058e954f8f09e2cfa2261c1f26` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_ac08ac8e4f973873f03dafaca2b` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of project_storage
-- ----------------------------
INSERT INTO `project_storage` VALUES (1, 139);
INSERT INTO `project_storage` VALUES (1, 140);

-- ----------------------------
-- Table structure for sys_captcha_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_captcha_log`;
CREATE TABLE `sys_captcha_log`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NULL DEFAULT NULL,
  `account` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `provider` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_captcha_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `key` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_2c363c25cf99bcaab3a7f389ba`(`key`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, 'sys_user_initPassword', '初始密码', '123456', '创建管理员账号的初始密码', '2023-11-10 00:31:44.154921', '2023-11-10 00:31:44.161263');
INSERT INTO `sys_config` VALUES (2, 'sys_api_token', 'API Token', 'huaxin-admin', '用于请求 @ApiToken 的控制器', '2023-11-10 00:31:44.154921', '2024-01-29 09:52:27.000000');
INSERT INTO `sys_config` VALUES (3, 'companyName', '公司名称', '华信智能', '菜单侧栏公司的名称', '2024-03-06 13:06:47.347660', '2024-03-06 13:07:18.000000');
INSERT INTO `sys_config` VALUES (4, 'inventory_inout_number_prefix_in', '人库单号前缀', 'SI', '人库单号前缀', '2024-03-06 14:50:04.844992', '2024-03-25 15:52:28.000000');
INSERT INTO `sys_config` VALUES (5, 'inventory_inout_number_prefix_out', '出库单号前缀', 'SO', '出库单号前缀', '2024-03-22 13:37:21.165879', '2024-03-25 15:52:32.000000');
INSERT INTO `sys_config` VALUES (6, 'product_number_prefix', '产品编号前缀', 'P', '产品编号前缀', '2024-03-22 15:51:10.960064', '2024-03-22 15:51:10.960064');
INSERT INTO `sys_config` VALUES (7, 'inventory_number_prefix', '库存编号', 'S', '库存编号', '2024-03-25 15:54:08.836711', '2024-03-25 15:54:08.836711');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `orderNo` int NULL DEFAULT 0,
  `mpath` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `parentId` int NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_c75280b01c49779f2323536db67`(`parentId`) USING BTREE,
  CONSTRAINT `FK_c75280b01c49779f2323536db67` FOREIGN KEY (`parentId`) REFERENCES `sys_dept` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (1, '山东矿机华信智能科技', 1, '1.', NULL, '2023-11-10 00:31:43.996025', '2024-03-06 17:16:48.000000');
INSERT INTO `sys_dept` VALUES (2, '计算机开发部', 1, '1.2.', 1, '2023-11-10 00:31:43.996025', '2024-03-06 17:16:48.000000');
INSERT INTO `sys_dept` VALUES (3, '行政部', 2, '1.3.', 1, '2023-11-10 00:31:43.996025', '2024-03-06 17:16:48.000000');
INSERT INTO `sys_dept` VALUES (4, '商务部', 3, '1.4.', 1, '2023-11-10 00:31:43.996025', '2024-03-06 17:16:48.000000');
INSERT INTO `sys_dept` VALUES (5, '财务部', 4, '1.5.', 1, '2023-11-10 00:31:43.996025', '2024-03-06 17:16:48.000000');
INSERT INTO `sys_dept` VALUES (6, '山东矿机华能装备制造', 2, '6.', NULL, '2023-11-10 00:31:43.996025', '2024-03-06 17:17:30.000000');
INSERT INTO `sys_dept` VALUES (8, '研发部', 1, '6.8.', 6, '2023-11-10 00:31:43.996025', '2024-03-06 17:17:30.000000');
INSERT INTO `sys_dept` VALUES (9, '市场部', 1, '6.9.', 6, '2023-11-10 00:31:43.996025', '2024-03-06 17:17:30.000000');

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `create_by` int NOT NULL COMMENT '创建者',
  `update_by` int NOT NULL COMMENT '更新者',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `status` tinyint NOT NULL DEFAULT 1,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_d112365748f740ee260b65ce91`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------

-- ----------------------------
-- Table structure for sys_dict_item
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_item`;
CREATE TABLE `sys_dict_item`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `create_by` int NOT NULL COMMENT '创建者',
  `update_by` int NOT NULL COMMENT '更新者',
  `label` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `value` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `order` int NULL DEFAULT NULL COMMENT '字典项排序',
  `status` tinyint NOT NULL DEFAULT 1,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `type_id` int NULL DEFAULT NULL,
  `orderNo` int NULL DEFAULT NULL COMMENT '字典项排序',
  `deleted_at` datetime(6) NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_d68ea74fcb041c8cfd1fd659844`(`type_id`) USING BTREE,
  CONSTRAINT `FK_d68ea74fcb041c8cfd1fd659844` FOREIGN KEY (`type_id`) REFERENCES `sys_dict_type` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 40 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_item
-- ----------------------------
INSERT INTO `sys_dict_item` VALUES (1, '2024-01-29 01:24:51.846135', '2024-01-29 02:23:19.000000', 1, 1, '男', '1', 0, 1, '性别男', 1, 3, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (2, '2024-01-29 01:32:58.458741', '2024-01-29 01:58:20.000000', 1, 1, '女', '0', 1, 1, '性别女', 1, 2, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (3, '2024-01-29 01:59:17.805394', '2024-01-29 14:37:18.000000', 1, 1, '人妖王', '3', NULL, 1, '安布里奥·伊万科夫', 1, 0, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (5, '2024-01-29 02:13:01.782466', '2024-01-29 02:13:01.782466', 1, 1, '显示', '1', NULL, 1, '显示菜单', 2, 0, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (6, '2024-01-29 02:13:31.134721', '2024-01-29 02:13:31.134721', 1, 1, '隐藏', '0', NULL, 1, '隐藏菜单', 2, 0, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (10, '2024-02-28 16:39:44.977246', '2024-02-29 15:56:02.670095', 1, 1, '商务合同', 'business', NULL, 1, '商务合同', 3, 0, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (11, '2024-02-28 16:42:43.539979', '2024-02-29 15:56:07.676659', 1, 1, '销售合同', 'sales', NULL, 1, '', 3, 1, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (12, '2024-02-28 16:42:58.224299', '2024-02-29 15:56:05.815675', 1, 1, '租赁合同', 'Lease', NULL, 1, NULL, 3, 2, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (13, '2024-02-28 16:43:26.311650', '2024-02-29 15:56:10.462447', 1, 1, '服务合同', 'service', NULL, 1, NULL, 3, 3, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (14, '2024-03-04 13:42:26.688441', '2024-03-04 13:42:26.688441', 1, 1, '件', 'unit_jian', NULL, 1, NULL, 5, 0, '2024-03-04 13:42:26.688441');
INSERT INTO `sys_dict_item` VALUES (15, '2024-03-04 13:42:38.298733', '2024-03-04 13:42:38.298733', 1, 1, '个', 'unit_ge', NULL, 1, NULL, 5, 1, '2024-03-04 13:42:38.298733');
INSERT INTO `sys_dict_item` VALUES (16, '2024-03-04 13:43:30.965353', '2024-03-04 13:43:30.965353', 1, 1, '千克', 'unit_qianke', NULL, 1, NULL, 5, 2, '2024-03-04 13:43:30.965353');
INSERT INTO `sys_dict_item` VALUES (17, '2024-03-04 13:43:44.353125', '2024-03-04 13:43:44.353125', 1, 1, '克', 'unit_ke', NULL, 1, NULL, 5, 3, '2024-03-04 13:43:44.353125');
INSERT INTO `sys_dict_item` VALUES (18, '2024-03-04 13:43:56.643339', '2024-03-04 13:43:56.643339', 1, 1, '升', 'unit_sheng', NULL, 1, NULL, 5, 4, '2024-03-04 13:43:56.643339');
INSERT INTO `sys_dict_item` VALUES (19, '2024-03-04 13:44:09.242901', '2024-03-04 13:44:09.242901', 1, 1, '毫升', 'unit_haosheng', NULL, 1, NULL, 5, 5, '2024-03-04 13:44:09.242901');
INSERT INTO `sys_dict_item` VALUES (20, '2024-03-04 13:44:26.620837', '2024-03-04 13:44:29.000000', 1, 1, '卷', 'unit_juan', NULL, 1, NULL, 5, 6, '2024-03-04 13:44:29.654314');
INSERT INTO `sys_dict_item` VALUES (21, '2024-03-04 14:10:38.216659', '2024-03-04 14:10:54.000000', 1, 1, '批', 'unit_pi', NULL, 1, NULL, 5, 7, '2024-03-04 14:10:54.729114');
INSERT INTO `sys_dict_item` VALUES (22, '2024-03-04 14:10:48.864655', '2024-03-04 14:10:48.864655', 1, 1, '片', 'unit_pian', NULL, 1, NULL, 5, 8, '2024-03-04 14:10:48.864655');
INSERT INTO `sys_dict_item` VALUES (23, '2024-03-04 14:11:06.319281', '2024-03-04 14:11:06.319281', 1, 1, '套', 'unit_tao', NULL, 1, NULL, 5, 9, '2024-03-04 14:11:06.319281');
INSERT INTO `sys_dict_item` VALUES (24, '2024-03-07 16:33:17.412474', '2024-03-07 16:33:17.412474', 1, 1, '奥迪A8(鲁UKS052)', 'car_1', NULL, 1, NULL, 6, 1, '2024-03-07 16:33:17.412474');
INSERT INTO `sys_dict_item` VALUES (25, '2024-03-07 16:33:44.438153', '2024-03-07 16:33:44.438153', 1, 1, '阿尔法(鲁B33A52)', 'car_2', NULL, 1, NULL, 6, 1, '2024-03-07 16:33:44.438153');
INSERT INTO `sys_dict_item` VALUES (26, '2024-03-07 16:34:08.872618', '2024-03-07 16:34:08.872618', 1, 1, '威尔法(鲁B33G21)', 'car_3', NULL, 1, NULL, 6, 2, '2024-03-07 16:34:08.872618');
INSERT INTO `sys_dict_item` VALUES (27, '2024-03-25 08:28:13.363025', '2024-03-25 08:30:51.000000', 1, 1, '库房一', 'room_1', NULL, 1, NULL, 7, 0, '2024-03-25 08:30:51.792948');
INSERT INTO `sys_dict_item` VALUES (28, '2024-03-25 08:28:23.806536', '2024-03-25 08:30:55.000000', 1, 1, '库房二', 'room_2', NULL, 1, NULL, 7, 1, '2024-03-25 08:30:55.408039');
INSERT INTO `sys_dict_item` VALUES (29, '2024-03-25 08:28:31.643400', '2024-03-25 08:30:59.000000', 1, 1, '库房三', 'room_3', NULL, 1, NULL, 7, 2, '2024-03-25 08:30:59.195490');
INSERT INTO `sys_dict_item` VALUES (30, '2024-03-25 08:29:49.485531', '2024-03-25 08:30:39.000000', 1, 1, '第一排', 'line_1', NULL, 1, NULL, 8, 0, '2024-03-25 08:30:39.156586');
INSERT INTO `sys_dict_item` VALUES (31, '2024-03-25 08:29:58.991397', '2024-03-25 08:30:22.000000', 1, 1, '第二排', 'line_2', NULL, 1, NULL, 8, 1, '2024-03-25 08:30:22.398794');
INSERT INTO `sys_dict_item` VALUES (32, '2024-03-25 08:30:09.155470', '2024-03-25 08:30:09.155470', 1, 1, '第三排', 'line_3', NULL, 1, NULL, 8, 2, '2024-03-25 08:30:09.155470');
INSERT INTO `sys_dict_item` VALUES (33, '2024-03-25 08:30:18.716726', '2024-03-25 08:30:18.716726', 1, 1, '第四排', 'line_4', NULL, 1, NULL, 8, 3, '2024-03-25 08:30:18.716726');
INSERT INTO `sys_dict_item` VALUES (34, '2024-03-25 08:30:33.674158', '2024-03-25 08:30:33.674158', 1, 1, '第五排', 'line_5', NULL, 1, NULL, 8, 4, '2024-03-25 08:30:33.674158');
INSERT INTO `sys_dict_item` VALUES (35, '2024-03-25 08:32:06.027559', '2024-03-25 08:32:06.027559', 1, 1, '第一层', 'level_1', NULL, 1, NULL, 9, 0, '2024-03-25 08:32:06.027559');
INSERT INTO `sys_dict_item` VALUES (36, '2024-03-25 08:32:14.302500', '2024-03-25 08:32:14.302500', 1, 1, '第二层', 'level_2', NULL, 1, NULL, 9, 1, '2024-03-25 08:32:14.302500');
INSERT INTO `sys_dict_item` VALUES (37, '2024-03-25 08:32:54.412145', '2024-03-25 08:32:54.412145', 1, 1, '第三层', 'level_3', NULL, 1, NULL, 9, 2, '2024-03-25 08:32:54.412145');
INSERT INTO `sys_dict_item` VALUES (38, '2024-03-25 08:33:02.567402', '2024-03-25 08:33:02.567402', 1, 1, '第四层', 'level_4', NULL, 1, NULL, 9, 3, '2024-03-25 08:33:02.567402');
INSERT INTO `sys_dict_item` VALUES (39, '2024-03-25 08:33:12.209556', '2024-03-25 08:33:12.209556', 1, 1, '第五层', 'level_5', NULL, 1, NULL, 9, 4, '2024-03-25 08:33:12.209556');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `create_by` int NOT NULL COMMENT '创建者',
  `update_by` int NOT NULL COMMENT '更新者',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `status` tinyint NOT NULL DEFAULT 1,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `deleted_at` datetime(6) NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_74d0045ff7fab9f67adc0b1bda`(`code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '2024-01-28 08:19:12.777447', '2024-02-08 13:05:10.000000', 1, 1, '性别', 1, '性别单选', 'sys_user_gender', '2024-03-01 15:28:21.689753');
INSERT INTO `sys_dict_type` VALUES (2, '2024-01-28 08:38:41.235185', '2024-01-29 02:11:33.000000', 1, 1, '菜单显示状态', 1, '菜单显示状态', 'sys_show_hide', '2024-03-01 15:28:21.689753');
INSERT INTO `sys_dict_type` VALUES (3, '2024-02-28 16:38:27.311577', '2024-03-04 13:26:29.000000', 1, 1, '合同类型', 1, '合同类型', 'contract_type', '2024-03-04 13:26:29.911469');
INSERT INTO `sys_dict_type` VALUES (5, '2024-03-04 13:41:05.156027', '2024-03-04 13:41:05.156027', 1, 1, '单位', 1, '材料盘点表等单位。件。个', 'unit', '2024-03-04 13:41:05.156027');
INSERT INTO `sys_dict_type` VALUES (6, '2024-03-07 16:32:26.985730', '2024-03-07 16:32:26.985730', 1, 1, '公司车辆', 1, '公司的公车', 'vehicle', '2024-03-07 16:32:26.985730');
INSERT INTO `sys_dict_type` VALUES (7, '2024-03-25 08:27:37.461575', '2024-03-25 08:27:37.461575', 1, 1, '库存位置-房间', 1, '库存存放的房间', 'inventory_room', '2024-03-25 08:27:37.461575');
INSERT INTO `sys_dict_type` VALUES (8, '2024-03-25 08:29:29.110447', '2024-03-25 08:29:29.110447', 1, 1, '库存位置-排架号', 1, '库存位置-排架号', 'inventory_line', '2024-03-25 08:29:29.110447');
INSERT INTO `sys_dict_type` VALUES (9, '2024-03-25 08:31:52.669289', '2024-03-25 08:31:52.669289', 1, 1, '库存位置-层数', 1, NULL, 'inventory_line_level', '2024-03-25 08:31:52.669289');

-- ----------------------------
-- Table structure for sys_login_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_login_log`;
CREATE TABLE `sys_login_log`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `ua` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `provider` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `user_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_3029712e0df6a28edaee46fd470`(`user_id`) USING BTREE,
  CONSTRAINT `FK_3029712e0df6a28edaee46fd470` FOREIGN KEY (`user_id`) REFERENCES `sys_user` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 74 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_login_log
-- ----------------------------
INSERT INTO `sys_login_log` VALUES (1, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-11 16:25:35.193443', '2024-03-11 16:25:35.193443', 1);
INSERT INTO `sys_login_log` VALUES (2, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-11 16:41:47.582236', '2024-03-11 16:41:47.582236', 1);
INSERT INTO `sys_login_log` VALUES (3, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-11 17:08:24.336525', '2024-03-11 17:08:24.336525', 1);
INSERT INTO `sys_login_log` VALUES (4, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-12 08:32:35.378738', '2024-03-12 08:32:35.378738', 1);
INSERT INTO `sys_login_log` VALUES (5, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-12 08:50:34.563830', '2024-03-12 08:50:34.563830', 1);
INSERT INTO `sys_login_log` VALUES (6, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-12 09:02:32.708992', '2024-03-12 09:02:32.708992', 1);
INSERT INTO `sys_login_log` VALUES (7, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-12 14:14:27.170328', '2024-03-12 14:14:27.170328', 1);
INSERT INTO `sys_login_log` VALUES (8, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-18 16:45:53.669633', '2024-03-18 16:45:53.669633', 1);
INSERT INTO `sys_login_log` VALUES (9, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-18 16:47:04.640742', '2024-03-18 16:47:04.640742', 1);
INSERT INTO `sys_login_log` VALUES (10, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:01:14.337676', '2024-03-19 09:01:14.337676', 1);
INSERT INTO `sys_login_log` VALUES (11, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:02:49.212590', '2024-03-19 09:02:49.212590', 1);
INSERT INTO `sys_login_log` VALUES (12, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:10:41.698998', '2024-03-19 09:10:41.698998', 1);
INSERT INTO `sys_login_log` VALUES (13, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:20:20.393109', '2024-03-19 09:20:20.393109', 1);
INSERT INTO `sys_login_log` VALUES (14, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:22:27.320019', '2024-03-19 09:22:27.320019', 1);
INSERT INTO `sys_login_log` VALUES (15, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:26:47.750336', '2024-03-19 09:26:47.750336', 1);
INSERT INTO `sys_login_log` VALUES (16, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:27:47.614307', '2024-03-19 09:27:47.614307', 1);
INSERT INTO `sys_login_log` VALUES (17, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:27:56.144948', '2024-03-19 09:27:56.144948', 1);
INSERT INTO `sys_login_log` VALUES (18, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:28:48.043487', '2024-03-19 09:28:48.043487', 1);
INSERT INTO `sys_login_log` VALUES (19, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:29:03.235340', '2024-03-19 09:29:03.235340', 1);
INSERT INTO `sys_login_log` VALUES (20, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:39:07.529231', '2024-03-19 09:39:07.529231', 1);
INSERT INTO `sys_login_log` VALUES (21, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:39:44.392483', '2024-03-19 09:39:44.392483', 1);
INSERT INTO `sys_login_log` VALUES (22, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:39:59.249030', '2024-03-19 09:39:59.249030', 1);
INSERT INTO `sys_login_log` VALUES (23, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 09:40:34.075596', '2024-03-19 09:40:34.075596', 1);
INSERT INTO `sys_login_log` VALUES (24, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 11:25:55.110382', '2024-03-19 11:25:55.110382', 1);
INSERT INTO `sys_login_log` VALUES (25, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 13:01:22.927432', '2024-03-19 13:01:22.927432', 1);
INSERT INTO `sys_login_log` VALUES (26, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-19 13:39:49.898149', '2024-03-19 13:39:49.898149', 1);
INSERT INTO `sys_login_log` VALUES (27, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 15:00:10.238618', '2024-03-19 15:00:10.238618', 1);
INSERT INTO `sys_login_log` VALUES (28, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 15:53:32.340056', '2024-03-19 15:53:32.340056', 1);
INSERT INTO `sys_login_log` VALUES (29, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 16:32:41.403566', '2024-03-19 16:32:41.403566', 1);
INSERT INTO `sys_login_log` VALUES (30, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 16:47:04.973345', '2024-03-19 16:47:04.973345', 1);
INSERT INTO `sys_login_log` VALUES (31, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-19 17:30:27.560965', '2024-03-19 17:30:27.560965', 1);
INSERT INTO `sys_login_log` VALUES (32, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-20 09:17:13.462569', '2024-03-20 09:17:13.462569', 1);
INSERT INTO `sys_login_log` VALUES (33, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-20 13:01:56.230866', '2024-03-20 13:01:56.230866', 1);
INSERT INTO `sys_login_log` VALUES (34, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-20 13:27:27.578581', '2024-03-20 13:27:27.578581', 1);
INSERT INTO `sys_login_log` VALUES (35, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-21 09:40:24.947391', '2024-03-21 09:40:24.947391', 1);
INSERT INTO `sys_login_log` VALUES (36, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-21 11:00:56.747380', '2024-03-21 11:00:56.747380', 1);
INSERT INTO `sys_login_log` VALUES (37, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-21 11:20:46.050676', '2024-03-21 11:20:46.050676', 1);
INSERT INTO `sys_login_log` VALUES (38, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36', '内网IP', NULL, '2024-03-21 13:52:09.392800', '2024-03-21 13:52:09.392800', 1);
INSERT INTO `sys_login_log` VALUES (39, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-21 14:13:54.119595', '2024-03-21 14:13:54.119595', 1);
INSERT INTO `sys_login_log` VALUES (40, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-21 14:18:43.489028', '2024-03-21 14:18:43.489028', 1);
INSERT INTO `sys_login_log` VALUES (41, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-21 16:53:02.442100', '2024-03-21 16:53:02.442100', 1);
INSERT INTO `sys_login_log` VALUES (42, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-21 17:22:14.487551', '2024-03-21 17:22:14.487551', 1);
INSERT INTO `sys_login_log` VALUES (43, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-22 08:28:39.945316', '2024-03-22 08:28:39.945316', 1);
INSERT INTO `sys_login_log` VALUES (44, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-22 08:47:49.668244', '2024-03-22 08:47:49.668244', 1);
INSERT INTO `sys_login_log` VALUES (45, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-22 08:48:40.888213', '2024-03-22 08:48:40.888213', 1);
INSERT INTO `sys_login_log` VALUES (46, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-22 08:52:29.539297', '2024-03-22 08:52:29.539297', 1);
INSERT INTO `sys_login_log` VALUES (47, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-22 08:54:51.502428', '2024-03-22 08:54:51.502428', 1);
INSERT INTO `sys_login_log` VALUES (48, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36', '内网IP', NULL, '2024-03-22 09:49:50.215940', '2024-03-22 09:49:50.215940', 1);
INSERT INTO `sys_login_log` VALUES (49, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-22 10:18:26.403105', '2024-03-22 10:18:26.403105', 1);
INSERT INTO `sys_login_log` VALUES (50, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-25 10:28:48.017616', '2024-03-25 10:28:48.017616', 1);
INSERT INTO `sys_login_log` VALUES (51, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-25 11:40:21.480492', '2024-03-25 11:40:21.480492', 1);
INSERT INTO `sys_login_log` VALUES (52, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 15:29:48.608014', '2024-03-26 15:29:48.608014', 1);
INSERT INTO `sys_login_log` VALUES (53, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 15:30:16.175586', '2024-03-26 15:30:16.175586', 1);
INSERT INTO `sys_login_log` VALUES (54, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 15:31:31.752879', '2024-03-26 15:31:31.752879', 1);
INSERT INTO `sys_login_log` VALUES (55, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 15:32:04.628186', '2024-03-26 15:32:04.628186', 1);
INSERT INTO `sys_login_log` VALUES (56, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 15:53:43.139332', '2024-03-26 15:53:43.139332', 1);
INSERT INTO `sys_login_log` VALUES (57, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 15:54:15.500462', '2024-03-26 15:54:15.500462', 1);
INSERT INTO `sys_login_log` VALUES (58, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 15:54:45.176950', '2024-03-26 15:54:45.176950', 1);
INSERT INTO `sys_login_log` VALUES (59, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 15:57:02.624723', '2024-03-26 15:57:02.624723', 1);
INSERT INTO `sys_login_log` VALUES (60, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-26 16:02:07.716342', '2024-03-26 16:02:07.716342', 1);
INSERT INTO `sys_login_log` VALUES (61, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 09:45:06.617531', '2024-03-27 09:45:06.617531', 1);
INSERT INTO `sys_login_log` VALUES (62, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-27 10:04:30.119475', '2024-03-27 10:04:30.119475', 1);
INSERT INTO `sys_login_log` VALUES (63, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-27 10:59:23.447855', '2024-03-27 10:59:23.447855', 1);
INSERT INTO `sys_login_log` VALUES (64, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 10:59:38.112830', '2024-03-27 10:59:38.112830', 1);
INSERT INTO `sys_login_log` VALUES (65, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 11:04:13.903132', '2024-03-27 11:04:13.903132', 1);
INSERT INTO `sys_login_log` VALUES (66, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 11:05:32.728343', '2024-03-27 11:05:32.728343', 1);
INSERT INTO `sys_login_log` VALUES (67, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 11:15:54.118365', '2024-03-27 11:15:54.118365', 1);
INSERT INTO `sys_login_log` VALUES (68, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 11:23:51.030200', '2024-03-27 11:23:51.030200', 1);
INSERT INTO `sys_login_log` VALUES (69, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-27 11:26:55.224029', '2024-03-27 11:26:55.224029', 1);
INSERT INTO `sys_login_log` VALUES (70, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 11:31:45.389808', '2024-03-27 11:31:45.389808', 1);
INSERT INTO `sys_login_log` VALUES (71, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 13:50:06.483334', '2024-03-27 13:50:06.483334', 1);
INSERT INTO `sys_login_log` VALUES (72, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 13:50:18.729275', '2024-03-27 13:50:18.729275', 1);
INSERT INTO `sys_login_log` VALUES (73, '192.168.60.130', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-03-27 13:54:12.303628', '2024-03-27 13:54:12.303628', 1);
INSERT INTO `sys_login_log` VALUES (74, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36 Edg/122.0.0.0', '内网IP', NULL, '2024-03-28 13:06:16.680834', '2024-03-28 13:06:16.680834', 1);

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NULL DEFAULT NULL,
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `permission` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `type` tinyint NOT NULL DEFAULT 0,
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '',
  `order_no` int NULL DEFAULT 0,
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `keep_alive` tinyint NOT NULL DEFAULT 1,
  `show` tinyint NOT NULL DEFAULT 1,
  `status` tinyint NOT NULL DEFAULT 1,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `is_ext` tinyint NOT NULL DEFAULT 0,
  `ext_open_mode` tinyint NOT NULL DEFAULT 1,
  `active_menu` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 167 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, NULL, '/system', '系统管理', '', 0, 'ant-design:setting-outlined', 254, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-02-29 10:41:29.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (2, 1, '/system/user', '用户管理', 'system:user:list', 1, 'ant-design:user-outlined', 0, 'system/user/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:10:30.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (3, 1, '/system/role', '角色管理', 'system:role:list', 1, 'ep:user', 1, 'system/role/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:11:02.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (4, 1, '/system/menu', '菜单管理', 'system:menu:list', 1, 'ep:menu', 2, 'system/menu/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:11:18.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (5, 1, '/system/monitor', '系统监控', '', 0, 'ep:monitor', 5, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-27 18:53:44.567023', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (6, 5, '/system/monitor/online', '在线用户', 'system:online:list', 1, '', 0, 'system/monitor/online/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-15 22:13:59.519267', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (7, 5, '/sys/monitor/login-log', '登录日志', 'system:log:login:list', 1, '', 0, 'system/monitor/log/login/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-15 22:14:02.610719', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (8, 5, '/system/monitor/serve', '服务监控', 'system:serve:stat', 1, '', 4, 'system/monitor/serve/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-15 22:14:05.606355', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (9, 1, '/system/schedule', '任务调度', '', 0, 'ant-design:schedule-filled', 6, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-27 18:53:52.967983', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (10, 9, '/system/task', '任务管理', '', 1, '', 0, 'system/schedule/task/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:14:39.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (11, 9, '/system/task/log', '任务日志', 'system:task:list', 1, '', 0, 'system/schedule/log/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:15:01.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (12, NULL, '/document', '文档', '', 0, 'ion:tv-outline', 2, '', 1, 0, 1, '2023-11-10 00:31:44.023393', '2024-02-28 11:51:51.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (14, 12, 'https://www.typeorm.org/', 'Typeorm中文文档(外链)', NULL, 1, '', 3, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-30 18:39:53.000000', 1, 1, NULL);
INSERT INTO `sys_menu` VALUES (15, 12, 'https://docs.nestjs.cn/', 'Nest.js中文文档(内嵌)', '', 1, '', 4, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-30 18:40:43.000000', 1, 2, NULL);
INSERT INTO `sys_menu` VALUES (20, 2, NULL, '新增', 'system:user:create', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (21, 2, '', '删除', 'system:user:delete', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (22, 2, '', '更新', 'system:user:update', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (23, 2, '', '查询', 'system:user:read', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (24, 3, '', '新增', 'system:role:create', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (25, 3, '', '删除', 'system:role:delete', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (26, 3, '', '修改', 'system:role:update', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (27, 3, '', '查询', 'system:role:read', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (28, 4, NULL, '新增', 'system:menu:create', 2, NULL, 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (29, 4, NULL, '删除', 'system:menu:delete', 2, NULL, 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (30, 4, '', '修改', 'system:menu:update', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (31, 4, NULL, '查询', 'system:menu:read', 2, NULL, 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (32, 6, '', '下线', 'system:online:kick', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (34, 10, '', '新增', 'system:task:create', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (35, 10, '', '删除', 'system:task:delete', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (36, 10, '', '执行一次', 'system:task:once', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (37, 10, '', '查询', 'system:task:read', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (38, 10, '', '运行', 'system:task:start', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (39, 10, '', '暂停', 'system:task:stop', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (40, 10, '', '更新', 'system:task:update', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (41, 7, '', '查询登录日志', 'system:log:login:list', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (42, 7, '', '查询任务日志', 'system:log:task:list', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (43, NULL, '/about', '关于', '', 1, 'ant-design:info-circle-outlined', 260, 'account/about', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-02-10 09:35:41.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (48, NULL, '/tool', '系统工具', NULL, 0, 'ant-design:tool-outlined', 255, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-02-29 10:41:25.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (49, 48, '/tool/email', '邮件工具', 'system:tools:email', 1, 'ant-design:send-outlined', 1, 'tool/email/index', 1, 0, 1, '2023-11-10 00:31:44.023393', '2024-02-28 11:51:38.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (50, 49, NULL, '发送邮件', 'tools:email:send', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (51, 48, '/tool/storage', '本地存储管理', 'tool:storage:list', 1, 'ant-design:appstore-outlined', 2, 'tool/storage/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-03-08 15:13:32.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (52, 51, NULL, '文件上传', 'upload:upload', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-25 01:04:08.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (53, 51, NULL, '文件删除', 'tool:storage:delete', 2, '', 2, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-25 00:56:01.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (54, 2, NULL, '修改密码', 'system:user:password', 2, '', 5, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (56, 1, '/system/dict-type', '字典管理', 'system:dict-type:list', 1, 'ant-design:book-outlined', 4, 'system/dict-type/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:12.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (57, 56, NULL, '新增', 'system:dict-type:create', 2, '', 1, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:20.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (58, 56, NULL, '更新', 'system:dict-type:update', 2, '', 2, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:26.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (59, 56, NULL, '删除', 'system:dict-type:delete', 2, '', 3, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:42.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (60, 56, NULL, '查询', 'system:dict-type:info', 2, '', 4, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:36.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (61, 1, '/system/dept', '部门管理', 'system:dept:list', 1, 'ant-design:deployment-unit-outlined', 3, 'system/dept/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:11:55.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (62, 61, NULL, '新增', 'system:dept:create', 2, '', 1, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (63, 61, NULL, '更新', 'system:dept:update', 2, '', 2, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (64, 61, NULL, '删除', 'system:dept:delete', 2, '', 3, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (65, 61, NULL, '查询', 'system:dept:read', 2, '', 4, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (68, 5, '/health', '健康检查', '', 1, '', 4, '', 1, 0, 1, '2023-11-10 00:31:44.023393', '2024-01-27 18:53:33.352155', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (69, 68, NULL, '网络', 'app:health:network', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (70, 68, NULL, '数据库', 'app:health: database', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (86, 1, '/param-config', '参数配置', 'system:param-config:list', 1, 'ep:edit', 255, 'system/param-config/index', 0, 1, 1, '2024-01-10 17:34:52.569663', '2024-01-19 02:11:27.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (87, 86, NULL, '查询', 'system:param-config:read', 2, '', 255, NULL, 1, 1, 1, '2024-01-10 17:39:20.983241', '2024-01-10 17:39:20.983241', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (88, 86, NULL, '新增', 'system:param-config:create', 2, '', 255, NULL, 1, 1, 1, '2024-01-10 17:39:57.543510', '2024-01-10 17:39:57.543510', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (89, 86, NULL, '更新', 'system:param-config:update', 2, '', 255, NULL, 1, 1, 1, '2024-01-10 17:40:27.355944', '2024-01-10 17:40:27.355944', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (92, 86, NULL, '删除', 'system:param-config:delete', 2, '', 255, NULL, 1, 1, 1, '2024-01-10 17:57:32.059887', '2024-01-10 17:57:32.059887', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (107, 1, 'system/dict-item/:id', '字典项管理', 'system:dict-item:list', 1, 'ant-design:facebook-outlined', 255, 'system/dict-item/index', 0, 0, 1, '2024-01-28 09:21:17.409532', '2024-01-30 13:09:47.000000', 0, 1, '字典管理');
INSERT INTO `sys_menu` VALUES (108, 107, NULL, '新增', 'system:dict-item:create', 2, '', 255, NULL, 1, 1, 1, '2024-01-28 09:22:39.401758', '2024-01-28 22:38:36.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (109, 107, NULL, '更新', 'system:dict-item:update', 2, '', 255, NULL, 1, 1, 1, '2024-01-28 09:26:43.911886', '2024-01-28 09:26:43.911886', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (110, 107, NULL, '删除', 'system:dict-item:delete', 2, '', 255, NULL, 1, 1, 1, '2024-01-28 09:27:28.535225', '2024-01-28 09:27:28.535225', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (111, 107, NULL, '查询', 'system:dict-item:info', 2, '', 255, NULL, 1, 1, 1, '2024-01-28 09:27:43.894820', '2024-01-28 09:27:43.894820', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (112, 12, 'https://antdv.com/components/overview-cn', 'antdv文档(内嵌)', NULL, 1, '', 255, NULL, 1, 1, 1, '2024-01-29 09:23:08.407723', '2024-01-30 18:41:19.000000', 1, 2, NULL);
INSERT INTO `sys_menu` VALUES (115, NULL, 'netdisk', '网盘管理', NULL, 0, 'ant-design:cloud-server-outlined', 255, NULL, 1, 0, 1, '2024-02-10 08:00:02.394616', '2024-03-08 15:14:06.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (116, 48, 'manage', '云盘管理', 'netdisk:manage:list', 1, 'ant-design:cloud-server-outlined', 252, 'netdisk/manage', 0, 1, 1, '2024-02-10 08:03:49.837348', '2024-03-08 15:14:57.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (117, 116, NULL, '创建文件或文件夹', 'netdisk:manage:create', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:40:22.317257', '2024-02-10 08:40:22.317257', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (118, 116, NULL, '查看文件', 'netdisk:manage:read', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:41:22.008015', '2024-02-10 08:41:22.008015', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (119, 116, NULL, '更新', 'netdisk:manage:update', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:41:50.691643', '2024-02-10 08:41:50.691643', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (120, 116, NULL, '删除', 'netdisk:manage:delete', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:42:09.480601', '2024-02-10 08:42:09.480601', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (121, 116, NULL, '获取文件上传token', 'netdisk:manage:token', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:42:57.688104', '2024-02-10 08:42:57.688104', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (122, 116, NULL, '添加文件备注', 'netdisk:manage:mark', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:43:40.117321', '2024-02-10 08:43:40.117321', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (123, 116, NULL, '下载文件', 'netdisk:manage:download', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:44:01.338984', '2024-02-10 08:44:01.338984', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (124, 116, NULL, '重命名文件或文件夹', 'netdisk:manage:rename', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:44:27.233379', '2024-02-10 08:45:36.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (125, 116, NULL, '复制文件或文件夹', 'netdisk:manage:copy', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:44:44.725391', '2024-02-10 08:45:48.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (126, 116, NULL, '剪切文件或文件夹', 'netdisk:manage:cut', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:45:21.660511', '2024-02-10 08:45:21.660511', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (127, 115, 'overview', '网盘概览', 'netdisk:overview:desc', 1, '', 254, 'netdisk/overview', 0, 1, 1, '2024-02-10 09:32:56.981190', '2024-02-10 09:34:18.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (128, NULL, '/contract', '合同管理', NULL, 0, 'ep:document', 1, NULL, 1, 1, 1, '2024-02-29 10:40:39.080419', '2024-02-29 10:42:37.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (129, 128, '/contract/index', '合同审核', 'app:contract:list', 1, 'ep:document', 1, 'contract/index', 0, 1, 1, '2024-02-29 10:46:09.245521', '2024-02-29 14:59:56.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (130, NULL, '/vehicle-usage/index', '车辆使用', NULL, 1, 'ant-design:car-outlined', 4, 'vehicle-usage/index', 0, 1, 1, '2024-02-29 10:48:35.035363', '2024-03-04 14:18:36.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (131, 150, '/materials-inventory/record-in-out', '出入库记录', 'materials_inventory:history_in_out:list', 1, 'ep:coin', 3, 'materials-inventory/in-out/index', 0, 1, 1, '2024-02-29 11:03:49.710130', '2024-03-05 15:22:06.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (132, 129, NULL, '更新', 'app:contract:update', 2, '', 255, NULL, 1, 1, 1, '2024-02-29 15:00:39.641043', '2024-02-29 15:00:39.641043', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (133, 129, NULL, '删除', 'app:contract:delete', 2, '', 255, NULL, 1, 1, 1, '2024-02-29 15:00:59.376071', '2024-02-29 15:00:59.376071', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (134, 129, NULL, '查询', 'app:contract:read', 2, '', 255, NULL, 1, 1, 1, '2024-02-29 15:01:14.209396', '2024-02-29 15:45:29.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (135, 129, NULL, '新增', 'app:contract:create', 2, '', 255, NULL, 1, 1, 1, '2024-02-29 15:44:46.950582', '2024-02-29 15:44:46.950582', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (136, 131, NULL, '新增', 'materials_inventory:history_in_out:create', 2, '', 255, NULL, 1, 1, 1, '2024-03-01 17:17:02.597782', '2024-03-06 10:54:28.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (137, 131, NULL, '更新', 'materials_inventory:history_in_out:update', 2, '', 255, NULL, 1, 1, 1, '2024-03-01 17:17:15.192910', '2024-03-06 10:54:57.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (138, 131, NULL, '查询单个', 'app:contract:read', 2, '', 255, NULL, 1, 1, 1, '2024-03-01 17:17:32.488892', '2024-03-01 17:17:32.488892', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (139, 131, NULL, '删除', 'materials_inventory:history_in_out:delete', 2, '', 255, NULL, 1, 1, 1, '2024-03-01 17:17:43.455773', '2024-03-06 10:55:06.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (140, NULL, '/materials-inventory/company', '乙方公司管理', 'app:company:list', 1, 'ep:office-building', 6, 'materials-inventory/company/index', 0, 1, 1, '2024-03-04 15:44:30.769048', '2024-03-27 12:57:31.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (141, 140, NULL, '单个查询', 'app:company:read', 2, '', 1, NULL, 1, 1, 1, '2024-03-04 15:45:55.979802', '2024-03-04 15:45:55.979802', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (142, 140, NULL, '新增', 'app:company:create', 2, '', 2, NULL, 1, 1, 1, '2024-03-04 15:46:11.260636', '2024-03-04 15:46:11.260636', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (143, 140, NULL, '更新', 'app:company:update', 2, '', 3, NULL, 1, 1, 1, '2024-03-04 15:46:25.098204', '2024-03-04 15:46:25.098204', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (144, 140, NULL, '删除', 'app:company:delete', 2, '', 4, NULL, 1, 1, 1, '2024-03-04 15:46:50.812446', '2024-03-04 15:46:50.812446', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (145, NULL, '/materials-inventory/product', '产品目录', 'app:product:list', 1, 'ant-design:product-outlined', 6, 'materials-inventory/product/index', 0, 1, 1, '2024-03-04 16:43:22.749281', '2024-03-27 12:56:52.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (146, 145, NULL, '单个查询', 'app:product:read', 2, '', 1, NULL, 1, 1, 1, '2024-03-04 16:44:56.482508', '2024-03-04 16:44:56.482508', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (147, 145, NULL, '新增', 'app:product:create', 2, '', 255, NULL, 1, 1, 1, '2024-03-04 16:45:08.211188', '2024-03-04 16:45:08.211188', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (148, 145, NULL, '更新', 'app:product:update', 2, '', 255, NULL, 1, 1, 1, '2024-03-04 16:45:25.457903', '2024-03-04 16:45:25.457903', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (149, 145, NULL, '删除', 'app:product:delete', 2, '', 255, NULL, 1, 1, 1, '2024-03-04 16:45:39.352621', '2024-03-04 16:45:39.352621', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (150, NULL, '/materials-inventory', '原材料盘点', NULL, 0, 'ant-design:dashboard-outlined', 3, NULL, 1, 1, 1, '2024-03-04 16:53:32.172674', '2024-03-04 16:53:32.172674', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (151, 131, NULL, '导出', 'materials_inventory:history_in_out:export', 2, '', 5, NULL, 1, 1, 1, '2024-03-06 13:09:39.201093', '2024-03-06 13:09:39.201093', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (152, 150, '/materials-inventory/inventory-check', '原材料库存管理', 'app:materials_inventory:list', 1, 'ant-design:dashboard-outlined', 2, 'materials-inventory/inventory-check/index', 1, 1, 1, '2024-03-06 13:33:24.795599', '2024-03-10 18:46:33.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (153, NULL, '/materials-inventory/project', '项目管理', 'app:project:list', 1, 'ep:memo', 4, 'materials-inventory/project/index', 0, 1, 1, '2024-03-07 09:28:19.234454', '2024-03-27 12:57:13.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (154, 153, NULL, '新增', 'app:project:create', 2, '', 1, NULL, 1, 1, 1, '2024-03-07 09:28:47.855064', '2024-03-07 09:28:47.855064', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (155, 153, NULL, '更新', 'app:project:update', 2, '', 2, NULL, 1, 1, 1, '2024-03-07 09:29:03.183084', '2024-03-07 09:29:03.183084', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (156, 153, NULL, '删除', 'app:project:delete', 2, '', 3, NULL, 1, 1, 1, '2024-03-07 09:29:16.684943', '2024-03-07 09:29:16.684943', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (157, 153, NULL, '单个信息', 'app:project:read', 2, '', 4, NULL, 1, 1, 1, '2024-03-07 09:29:33.424578', '2024-03-07 09:29:33.424578', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (158, 131, NULL, '导出原材料盘点表', 'app:materials_inventory:export', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 11:46:54.468400', '2024-03-07 11:46:54.468400', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (159, 130, NULL, '更新', 'app:vehicle_usage:update', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 17:05:04.324327', '2024-03-07 17:05:04.324327', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (160, 130, NULL, '删除', 'app:vehicle_usage:delete', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 17:05:13.776313', '2024-03-07 17:05:13.776313', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (161, 130, NULL, '新增', 'app:vehicle_usage:create', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 17:05:25.081691', '2024-03-07 17:05:25.081691', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (162, 130, NULL, '单个信息', 'app:vehicle_usage:read', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 17:05:48.310497', '2024-03-07 17:05:48.310497', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (163, 152, NULL, '导出', 'app:materials_inventory:export', 2, '', 255, NULL, 1, 1, 1, '2024-03-11 13:43:41.135585', '2024-03-11 13:43:41.135585', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (164, 152, NULL, '更新', 'app:materials_inventory:update', 2, '', 255, NULL, 1, 1, 1, '2024-03-11 13:44:23.144410', '2024-03-11 13:44:23.144410', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (165, 152, NULL, '删除', 'app:materials_inventory:delete', 2, '', 255, NULL, 1, 1, 1, '2024-03-11 13:44:47.383396', '2024-03-11 13:44:47.383396', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (166, 128, '/contract/task', '任务管控', NULL, 1, 'ant-design:align-left-outlined', 255, 'task/index', 0, 1, 1, '2024-03-12 10:18:54.645756', '2024-03-12 10:18:54.645756', 0, 1, NULL);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `status` tinyint NULL DEFAULT 1,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `default` tinyint NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_223de54d6badbe43a5490450c3`(`name`) USING BTREE,
  UNIQUE INDEX `IDX_05edc0a51f41bb16b7d8137da9`(`value`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, 'admin', '管理员', '超级管理员', 1, '2023-11-10 00:31:44.058463', '2024-01-28 21:08:39.000000', NULL);
INSERT INTO `sys_role` VALUES (2, 'user', '用户', '', 1, '2023-11-10 00:31:44.058463', '2024-01-30 18:44:45.000000', 1);
INSERT INTO `sys_role` VALUES (9, 'test', '测试', NULL, 1, '2024-01-23 22:46:52.408827', '2024-01-30 01:04:52.000000', NULL);

-- ----------------------------
-- Table structure for sys_role_menus
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menus`;
CREATE TABLE `sys_role_menus`  (
  `role_id` int NOT NULL,
  `menu_id` int NOT NULL,
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE,
  INDEX `IDX_35ce749b04d57e226d059e0f63`(`role_id`) USING BTREE,
  INDEX `IDX_2b95fdc95b329d66c18f5baed6`(`menu_id`) USING BTREE,
  CONSTRAINT `FK_2b95fdc95b329d66c18f5baed6d` FOREIGN KEY (`menu_id`) REFERENCES `sys_menu` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
  CONSTRAINT `FK_35ce749b04d57e226d059e0f633` FOREIGN KEY (`role_id`) REFERENCES `sys_role` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menus
-- ----------------------------
INSERT INTO `sys_role_menus` VALUES (1, 1);
INSERT INTO `sys_role_menus` VALUES (1, 2);
INSERT INTO `sys_role_menus` VALUES (1, 3);
INSERT INTO `sys_role_menus` VALUES (1, 4);
INSERT INTO `sys_role_menus` VALUES (1, 5);
INSERT INTO `sys_role_menus` VALUES (1, 6);
INSERT INTO `sys_role_menus` VALUES (1, 7);
INSERT INTO `sys_role_menus` VALUES (1, 8);
INSERT INTO `sys_role_menus` VALUES (1, 9);
INSERT INTO `sys_role_menus` VALUES (1, 10);
INSERT INTO `sys_role_menus` VALUES (1, 11);
INSERT INTO `sys_role_menus` VALUES (1, 12);
INSERT INTO `sys_role_menus` VALUES (1, 14);
INSERT INTO `sys_role_menus` VALUES (1, 15);
INSERT INTO `sys_role_menus` VALUES (1, 20);
INSERT INTO `sys_role_menus` VALUES (1, 21);
INSERT INTO `sys_role_menus` VALUES (1, 22);
INSERT INTO `sys_role_menus` VALUES (1, 23);
INSERT INTO `sys_role_menus` VALUES (1, 24);
INSERT INTO `sys_role_menus` VALUES (1, 25);
INSERT INTO `sys_role_menus` VALUES (1, 26);
INSERT INTO `sys_role_menus` VALUES (1, 27);
INSERT INTO `sys_role_menus` VALUES (1, 28);
INSERT INTO `sys_role_menus` VALUES (1, 29);
INSERT INTO `sys_role_menus` VALUES (1, 30);
INSERT INTO `sys_role_menus` VALUES (1, 31);
INSERT INTO `sys_role_menus` VALUES (1, 32);
INSERT INTO `sys_role_menus` VALUES (1, 34);
INSERT INTO `sys_role_menus` VALUES (1, 35);
INSERT INTO `sys_role_menus` VALUES (1, 36);
INSERT INTO `sys_role_menus` VALUES (1, 37);
INSERT INTO `sys_role_menus` VALUES (1, 38);
INSERT INTO `sys_role_menus` VALUES (1, 39);
INSERT INTO `sys_role_menus` VALUES (1, 40);
INSERT INTO `sys_role_menus` VALUES (1, 41);
INSERT INTO `sys_role_menus` VALUES (1, 42);
INSERT INTO `sys_role_menus` VALUES (1, 43);
INSERT INTO `sys_role_menus` VALUES (1, 48);
INSERT INTO `sys_role_menus` VALUES (1, 49);
INSERT INTO `sys_role_menus` VALUES (1, 50);
INSERT INTO `sys_role_menus` VALUES (1, 51);
INSERT INTO `sys_role_menus` VALUES (1, 52);
INSERT INTO `sys_role_menus` VALUES (1, 53);
INSERT INTO `sys_role_menus` VALUES (1, 54);
INSERT INTO `sys_role_menus` VALUES (1, 56);
INSERT INTO `sys_role_menus` VALUES (1, 57);
INSERT INTO `sys_role_menus` VALUES (1, 58);
INSERT INTO `sys_role_menus` VALUES (1, 59);
INSERT INTO `sys_role_menus` VALUES (1, 60);
INSERT INTO `sys_role_menus` VALUES (1, 61);
INSERT INTO `sys_role_menus` VALUES (1, 62);
INSERT INTO `sys_role_menus` VALUES (1, 63);
INSERT INTO `sys_role_menus` VALUES (1, 64);
INSERT INTO `sys_role_menus` VALUES (1, 65);
INSERT INTO `sys_role_menus` VALUES (1, 68);
INSERT INTO `sys_role_menus` VALUES (1, 69);
INSERT INTO `sys_role_menus` VALUES (1, 70);
INSERT INTO `sys_role_menus` VALUES (1, 86);
INSERT INTO `sys_role_menus` VALUES (1, 87);
INSERT INTO `sys_role_menus` VALUES (1, 88);
INSERT INTO `sys_role_menus` VALUES (1, 89);
INSERT INTO `sys_role_menus` VALUES (1, 92);
INSERT INTO `sys_role_menus` VALUES (1, 107);
INSERT INTO `sys_role_menus` VALUES (1, 108);
INSERT INTO `sys_role_menus` VALUES (1, 109);
INSERT INTO `sys_role_menus` VALUES (1, 110);
INSERT INTO `sys_role_menus` VALUES (1, 111);
INSERT INTO `sys_role_menus` VALUES (2, 1);
INSERT INTO `sys_role_menus` VALUES (2, 5);
INSERT INTO `sys_role_menus` VALUES (2, 6);
INSERT INTO `sys_role_menus` VALUES (2, 7);
INSERT INTO `sys_role_menus` VALUES (2, 8);
INSERT INTO `sys_role_menus` VALUES (2, 9);
INSERT INTO `sys_role_menus` VALUES (2, 10);
INSERT INTO `sys_role_menus` VALUES (2, 11);
INSERT INTO `sys_role_menus` VALUES (2, 12);
INSERT INTO `sys_role_menus` VALUES (2, 14);
INSERT INTO `sys_role_menus` VALUES (2, 15);
INSERT INTO `sys_role_menus` VALUES (2, 32);
INSERT INTO `sys_role_menus` VALUES (2, 34);
INSERT INTO `sys_role_menus` VALUES (2, 35);
INSERT INTO `sys_role_menus` VALUES (2, 36);
INSERT INTO `sys_role_menus` VALUES (2, 37);
INSERT INTO `sys_role_menus` VALUES (2, 38);
INSERT INTO `sys_role_menus` VALUES (2, 39);
INSERT INTO `sys_role_menus` VALUES (2, 40);
INSERT INTO `sys_role_menus` VALUES (2, 41);
INSERT INTO `sys_role_menus` VALUES (2, 42);
INSERT INTO `sys_role_menus` VALUES (2, 43);
INSERT INTO `sys_role_menus` VALUES (2, 48);
INSERT INTO `sys_role_menus` VALUES (2, 49);
INSERT INTO `sys_role_menus` VALUES (2, 50);
INSERT INTO `sys_role_menus` VALUES (2, 51);
INSERT INTO `sys_role_menus` VALUES (2, 52);
INSERT INTO `sys_role_menus` VALUES (2, 53);
INSERT INTO `sys_role_menus` VALUES (2, 56);
INSERT INTO `sys_role_menus` VALUES (2, 57);
INSERT INTO `sys_role_menus` VALUES (2, 58);
INSERT INTO `sys_role_menus` VALUES (2, 59);
INSERT INTO `sys_role_menus` VALUES (2, 60);
INSERT INTO `sys_role_menus` VALUES (2, 68);
INSERT INTO `sys_role_menus` VALUES (2, 69);
INSERT INTO `sys_role_menus` VALUES (2, 70);
INSERT INTO `sys_role_menus` VALUES (2, 86);
INSERT INTO `sys_role_menus` VALUES (2, 87);
INSERT INTO `sys_role_menus` VALUES (2, 88);
INSERT INTO `sys_role_menus` VALUES (2, 89);
INSERT INTO `sys_role_menus` VALUES (2, 92);
INSERT INTO `sys_role_menus` VALUES (2, 107);
INSERT INTO `sys_role_menus` VALUES (2, 108);
INSERT INTO `sys_role_menus` VALUES (2, 109);
INSERT INTO `sys_role_menus` VALUES (2, 110);
INSERT INTO `sys_role_menus` VALUES (2, 111);
INSERT INTO `sys_role_menus` VALUES (2, 112);
INSERT INTO `sys_role_menus` VALUES (9, 1);
INSERT INTO `sys_role_menus` VALUES (9, 2);
INSERT INTO `sys_role_menus` VALUES (9, 3);
INSERT INTO `sys_role_menus` VALUES (9, 4);
INSERT INTO `sys_role_menus` VALUES (9, 5);
INSERT INTO `sys_role_menus` VALUES (9, 6);
INSERT INTO `sys_role_menus` VALUES (9, 7);
INSERT INTO `sys_role_menus` VALUES (9, 8);
INSERT INTO `sys_role_menus` VALUES (9, 9);
INSERT INTO `sys_role_menus` VALUES (9, 10);
INSERT INTO `sys_role_menus` VALUES (9, 11);
INSERT INTO `sys_role_menus` VALUES (9, 20);
INSERT INTO `sys_role_menus` VALUES (9, 21);
INSERT INTO `sys_role_menus` VALUES (9, 22);
INSERT INTO `sys_role_menus` VALUES (9, 23);
INSERT INTO `sys_role_menus` VALUES (9, 24);
INSERT INTO `sys_role_menus` VALUES (9, 25);
INSERT INTO `sys_role_menus` VALUES (9, 26);
INSERT INTO `sys_role_menus` VALUES (9, 27);
INSERT INTO `sys_role_menus` VALUES (9, 28);
INSERT INTO `sys_role_menus` VALUES (9, 29);
INSERT INTO `sys_role_menus` VALUES (9, 30);
INSERT INTO `sys_role_menus` VALUES (9, 31);
INSERT INTO `sys_role_menus` VALUES (9, 32);
INSERT INTO `sys_role_menus` VALUES (9, 34);
INSERT INTO `sys_role_menus` VALUES (9, 35);
INSERT INTO `sys_role_menus` VALUES (9, 36);
INSERT INTO `sys_role_menus` VALUES (9, 37);
INSERT INTO `sys_role_menus` VALUES (9, 38);
INSERT INTO `sys_role_menus` VALUES (9, 39);
INSERT INTO `sys_role_menus` VALUES (9, 40);
INSERT INTO `sys_role_menus` VALUES (9, 41);
INSERT INTO `sys_role_menus` VALUES (9, 42);
INSERT INTO `sys_role_menus` VALUES (9, 54);
INSERT INTO `sys_role_menus` VALUES (9, 56);
INSERT INTO `sys_role_menus` VALUES (9, 57);
INSERT INTO `sys_role_menus` VALUES (9, 58);
INSERT INTO `sys_role_menus` VALUES (9, 59);
INSERT INTO `sys_role_menus` VALUES (9, 60);
INSERT INTO `sys_role_menus` VALUES (9, 61);
INSERT INTO `sys_role_menus` VALUES (9, 62);
INSERT INTO `sys_role_menus` VALUES (9, 63);
INSERT INTO `sys_role_menus` VALUES (9, 64);
INSERT INTO `sys_role_menus` VALUES (9, 65);
INSERT INTO `sys_role_menus` VALUES (9, 68);
INSERT INTO `sys_role_menus` VALUES (9, 69);
INSERT INTO `sys_role_menus` VALUES (9, 70);
INSERT INTO `sys_role_menus` VALUES (9, 86);
INSERT INTO `sys_role_menus` VALUES (9, 87);
INSERT INTO `sys_role_menus` VALUES (9, 88);
INSERT INTO `sys_role_menus` VALUES (9, 89);
INSERT INTO `sys_role_menus` VALUES (9, 92);

-- ----------------------------
-- Table structure for sys_task
-- ----------------------------
DROP TABLE IF EXISTS `sys_task`;
CREATE TABLE `sys_task`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `service` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `type` tinyint NOT NULL DEFAULT 0,
  `status` tinyint NOT NULL DEFAULT 1,
  `start_time` datetime NULL DEFAULT NULL,
  `end_time` datetime NULL DEFAULT NULL,
  `limit` int NULL DEFAULT 0,
  `cron` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `every` int NULL DEFAULT NULL,
  `data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `job_opts` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_ef8e5ab5ef2fe0ddb1428439ef`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_task
-- ----------------------------
INSERT INTO `sys_task` VALUES (2, '定时清空登录日志', 'LogClearJob.clearLoginLog', 0, 1, NULL, NULL, 0, '0 0 3 ? * 1', 0, '', '{\"count\":1,\"key\":\"__default__:2:::0 0 3 ? * 1\",\"cron\":\"0 0 3 ? * 1\",\"jobId\":2}', '定时清空登录日志', '2023-11-10 00:31:44.197779', '2024-03-28 13:02:28.000000');
INSERT INTO `sys_task` VALUES (3, '定时清空任务日志', 'LogClearJob.clearTaskLog', 0, 0, NULL, NULL, 0, '0 0 3 ? * 1', 0, '', '{\"count\":1,\"key\":\"__default__:3:::0 0 3 ? * 1\",\"cron\":\"0 0 3 ? * 1\",\"jobId\":3}', '定时清空任务日志', '2023-11-10 00:31:44.197779', '2024-03-22 14:12:52.000000');
INSERT INTO `sys_task` VALUES (4, '访问百度首页', 'HttpRequestJob.handle', 0, 0, NULL, NULL, 1, '* * * * * ?', NULL, '{\"url\":\"https://www.baidu.com\",\"method\":\"get\"}', NULL, '访问百度首页', '2023-11-10 00:31:44.197779', '2023-11-10 00:31:44.206935');
INSERT INTO `sys_task` VALUES (5, '发送邮箱', 'EmailJob.send', 0, 0, NULL, NULL, -1, '0 0 0 1 * ?', NULL, '{\"subject\":\"这是标题\",\"to\":\"18661983080@163.com\",\"content\":\"这是正文\"}', NULL, '每月发送邮箱', '2023-11-10 00:31:44.197779', '2024-03-07 11:14:53.000000');

-- ----------------------------
-- Table structure for sys_task_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_task_log`;
CREATE TABLE `sys_task_log`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `task_id` int NULL DEFAULT NULL,
  `status` tinyint NOT NULL DEFAULT 0,
  `detail` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `consume_time` int NULL DEFAULT 0,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_f4d9c36052fdb188ff5c089454b`(`task_id`) USING BTREE,
  CONSTRAINT `FK_f4d9c36052fdb188ff5c089454b` FOREIGN KEY (`task_id`) REFERENCES `sys_task` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_task_log
-- ----------------------------
INSERT INTO `sys_task_log` VALUES (1, 3, 1, NULL, 0, '2024-03-11 07:37:16.258223', '2024-03-11 07:37:16.258223');
INSERT INTO `sys_task_log` VALUES (2, 2, 1, NULL, 0, '2024-03-11 08:29:25.175865', '2024-03-11 08:29:25.175865');

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `psalt` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `status` tinyint NULL DEFAULT 1,
  `qq` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `nickname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `dept_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_9e7164b2f1ea1348bc0eb0a7da`(`username`) USING BTREE,
  INDEX `FK_96bde34263e2ae3b46f011124ac`(`dept_id`) USING BTREE,
  CONSTRAINT `FK_96bde34263e2ae3b46f011124ac` FOREIGN KEY (`dept_id`) REFERENCES `sys_dept` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 'admin', 'a11571e778ee85e82caae2d980952546', 'https://thirdqq.qlogo.cn/g?b=qq&s=100&nk=1743369777', '1743369777@qq.com', '10086', '管理员', 'xQYCspvFb8cAW6GG1pOoUGTLqsuUSO3d', 1, '1743369777', '2023-11-10 00:31:44.104382', '2024-03-27 11:32:42.000000', '朱明仁12', 2);
INSERT INTO `sys_user` VALUES (2, 'user', 'dbd89546dec743f82bb9073d6ac39361', 'https://thirdqq.qlogo.cn/g?b=qq&s=100&nk=1743369777', 'luffy@qq.com', '10010', '王路飞', 'qlovDV7pL5dPYPI3QgFFo1HH74nP6sJe', 1, '1743369777', '2023-11-10 00:31:44.104382', '2024-03-01 11:31:11.000000', 'luffy', 8);
INSERT INTO `sys_user` VALUES (8, 'developer', 'f03fa2a99595127b9a39587421d471f6', '/upload/报名照片-202402281149824.jpg', 'nami@qq.com', '10000', '小贼猫', 'NbGM1z9Vhgo7f4dd2I7JGaGP12RidZdE', 1, '1743369777', '2023-11-10 00:31:44.104382', '2024-03-06 17:17:21.000000', '娜美', 2);

-- ----------------------------
-- Table structure for sys_user_roles
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_roles`;
CREATE TABLE `sys_user_roles`  (
  `user_id` int NOT NULL,
  `role_id` int NOT NULL,
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE,
  INDEX `IDX_96311d970191a044ec048011f4`(`user_id`) USING BTREE,
  INDEX `IDX_6d61c5b3f76a3419d93a421669`(`role_id`) USING BTREE,
  CONSTRAINT `FK_6d61c5b3f76a3419d93a4216695` FOREIGN KEY (`role_id`) REFERENCES `sys_role` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_96311d970191a044ec048011f44` FOREIGN KEY (`user_id`) REFERENCES `sys_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_roles
-- ----------------------------
INSERT INTO `sys_user_roles` VALUES (1, 1);
INSERT INTO `sys_user_roles` VALUES (2, 2);
INSERT INTO `sys_user_roles` VALUES (8, 2);

-- ----------------------------
-- Table structure for todo
-- ----------------------------
DROP TABLE IF EXISTS `todo`;
CREATE TABLE `todo`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `user_id` int NULL DEFAULT NULL,
  `status` tinyint NOT NULL DEFAULT 0,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_9cb7989853c4cb7fe427db4b260`(`user_id`) USING BTREE,
  CONSTRAINT `FK_9cb7989853c4cb7fe427db4b260` FOREIGN KEY (`user_id`) REFERENCES `sys_user` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of todo
-- ----------------------------
INSERT INTO `todo` VALUES (1, 'nest.js', NULL, 0, '2023-11-10 00:31:44.139730', '2023-11-10 00:31:44.147629');

-- ----------------------------
-- Table structure for tool_storage
-- ----------------------------
DROP TABLE IF EXISTS `tool_storage`;
CREATE TABLE `tool_storage`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文件名',
  `fileName` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '真实文件名',
  `ext_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `size` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `user_id` int NULL DEFAULT NULL,
  `bussiness_module` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `bussiness_record_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 224 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tool_storage
-- ----------------------------
INSERT INTO `tool_storage` VALUES (121, '2024-03-01 16:46:58.441084', '2024-03-01 16:46:58.441084', '1709172270328-202403011646430.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403011646430.jpg', '图片', '62.79 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (122, '2024-03-01 17:21:35.454311', '2024-03-01 17:21:35.454311', '盘点表-202403011721448.xlsx', '盘点表.xlsx', 'xlsx', '/upload/盘点表-202403011721448.xlsx', '文档', '10.83 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (123, '2024-03-04 15:51:50.664699', '2024-03-04 15:51:50.664699', '20240304-202403041551657.sql', '20240304.sql', 'sql', '/upload/20240304-202403041551657.sql', '其他', '62.86 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (124, '2024-03-05 10:39:45.040659', '2024-03-05 10:39:45.040659', '盘点表-202403051039028.xlsx', '盘点表.xlsx', 'xlsx', '/upload/盘点表-202403051039028.xlsx', '文档', '10.83 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (126, '2024-03-06 13:04:17.636919', '2024-03-06 13:04:17.636919', '盘点表-202403061304624.xlsx', '盘点表.xlsx', 'xlsx', '/upload/盘点表-202403061304624.xlsx', '文档', '10.83 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (127, '2024-03-07 09:35:51.916017', '2024-03-07 09:35:51.916017', '盘点表-202403070935910.xlsx', '盘点表.xlsx', 'xlsx', '/upload/盘点表-202403070935910.xlsx', '文档', '10.83 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (128, '2024-03-07 09:36:01.570104', '2024-03-07 09:36:01.570104', '1709172270328-202403070936565.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403070936565.jpg', '图片', '62.86 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (129, '2024-03-07 16:28:46.729632', '2024-03-07 16:28:46.729632', '盘点表-202403071628719.xlsx', '盘点表.xlsx', 'xlsx', '/upload/盘点表-202403071628719.xlsx', '文档', '10.83 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (130, '2024-03-08 08:29:50.602980', '2024-03-08 08:29:50.602980', '1709172270328-202403080829597.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080829597.jpg', '图片', '62.86 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (133, '2024-03-08 08:36:52.107852', '2024-03-08 08:36:52.107852', '1709172270328-202403080836097.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080836097.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (134, '2024-03-08 08:36:57.397270', '2024-03-08 08:36:57.397270', 'hxoa_2024-03-07_171919-202403080836391.sql', 'hxoa_2024-03-07_171919.sql', 'sql', '/upload/hxoa_2024-03-07_171919-202403080836391.sql', '其他', '62.88 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (135, '2024-03-08 08:39:36.243846', '2024-03-08 08:39:36.243846', 'hxoa_2024-03-07_171919-202403080839235.sql', 'hxoa_2024-03-07_171919.sql', 'sql', '/upload/hxoa_2024-03-07_171919-202403080839235.sql', '其他', '62.88 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (136, '2024-03-08 08:39:45.015279', '2024-03-08 08:39:45.015279', '1709172270328-202403080839012.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080839012.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (137, '2024-03-08 08:41:01.350779', '2024-03-08 08:41:01.350779', 'hxoa_2024-03-07_171919-202403080841340.sql', 'hxoa_2024-03-07_171919.sql', 'sql', '/upload/hxoa_2024-03-07_171919-202403080841340.sql', '其他', '62.88 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (138, '2024-03-08 08:42:09.015239', '2024-03-08 08:42:09.015239', '1709172270328-202403080842003.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080842003.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (139, '2024-03-08 08:46:36.613712', '2024-03-08 08:46:36.613712', '1709172270328-202403080846601.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080846601.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (140, '2024-03-08 08:48:21.472060', '2024-03-08 08:48:21.472060', '1709172270328-202403080848461.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080848461.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (141, '2024-03-08 08:48:32.069968', '2024-03-08 08:48:32.069968', '1709172270328-202403080848060.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080848060.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (142, '2024-03-08 08:48:32.071978', '2024-03-08 08:48:32.071978', 'hxoa_2024-03-07_171919-202403080848065.sql', 'hxoa_2024-03-07_171919.sql', 'sql', '/upload/hxoa_2024-03-07_171919-202403080848065.sql', '其他', '62.88 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (143, '2024-03-08 08:48:36.850064', '2024-03-08 08:48:36.850064', '1709172270328-202403080848844.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080848844.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (144, '2024-03-08 08:48:43.982565', '2024-03-08 08:48:43.982565', '1709172270328-202403080848977.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403080848977.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (145, '2024-03-08 08:48:49.327172', '2024-03-08 08:48:49.327172', 'hxoa_2024-03-07_171919-202403080848322.sql', 'hxoa_2024-03-07_171919.sql', 'sql', '/upload/hxoa_2024-03-07_171919-202403080848322.sql', '其他', '62.88 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (146, '2024-03-08 10:05:23.771674', '2024-03-08 10:05:23.771674', '1709172270328-202403081005760.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081005760.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (147, '2024-03-08 10:05:29.481209', '2024-03-08 10:05:29.481209', 'hxoa_2024-03-07_171919-202403081005473.sql', 'hxoa_2024-03-07_171919.sql', 'sql', '/upload/hxoa_2024-03-07_171919-202403081005473.sql', '其他', '62.88 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (148, '2024-03-08 10:57:38.555901', '2024-03-08 10:57:38.555901', '1709172270328-202403081057545.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081057545.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (149, '2024-03-08 11:06:36.879749', '2024-03-08 11:06:36.879749', '1709172270328-202403081106867.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081106867.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (150, '2024-03-08 11:07:11.217830', '2024-03-08 11:07:11.217830', '1709172270328-202403081107212.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081107212.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (151, '2024-03-08 11:08:24.817797', '2024-03-08 11:08:24.817797', '1709172270328-202403081108811.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081108811.jpg', '图片', '15.86 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (152, '2024-03-08 11:10:12.868485', '2024-03-08 11:10:12.868485', '1709172270328-202403081109532.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081109532.jpg', '图片', '62.86 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (153, '2024-03-08 11:10:32.700427', '2024-03-08 11:10:32.700427', '1709172270328-202403081110695.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081110695.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (154, '2024-03-08 11:11:25.391852', '2024-03-08 11:11:25.391852', '微信图片_20240308085222-202403081111382.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403081111382.jpg', '图片', '62.89 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (155, '2024-03-08 11:17:01.314543', '2024-03-08 11:17:01.314543', '微信图片_20240308085222-202403081117276.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403081117276.jpg', '图片', '62.89 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (156, '2024-03-08 11:23:33.233526', '2024-03-08 11:23:33.233526', '微信图片_20240308085222-202403081123218.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403081123218.jpg', '图片', '62.89 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (157, '2024-03-08 11:28:30.444379', '2024-03-08 11:28:30.444379', '微信图片_20240308085222-202403081128414.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403081128414.jpg', '图片', '62.89 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (158, '2024-03-08 11:31:22.373716', '2024-03-08 11:31:22.373716', '1709172270328-202403081131338.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081131338.jpg', '图片', '62.9 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (159, '2024-03-08 11:33:01.737383', '2024-03-08 11:33:01.737383', '微信图片_20240308085222-202403081133723.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403081133723.jpg', '图片', '62.89 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (160, '2024-03-08 11:42:52.468709', '2024-03-08 11:42:52.468709', '1709172270328-202403081142459.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081142459.jpg', '图片', '81.56 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (161, '2024-03-08 11:43:32.556103', '2024-03-08 11:43:32.556103', '1709172270328-202403081143533.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081143533.jpg', '图片', '81.56 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (162, '2024-03-08 11:44:02.489693', '2024-03-08 11:44:02.489693', '1709172270328-202403081144477.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081144477.jpg', '图片', '81.56 KB', 1, NULL, NULL);
INSERT INTO `tool_storage` VALUES (163, '2024-03-08 11:44:54.626236', '2024-03-08 11:44:54.626236', '1709172270328-202403081144616.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081144616.jpg', '图片', '81.56 KB', 1, 'materialsInOut', 28);
INSERT INTO `tool_storage` VALUES (164, '2024-03-08 13:11:26.444515', '2024-03-08 13:11:26.444515', '1709172270328-202403081311434.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081311434.jpg', '图片', '81.56 KB', 1, 'contract', 2);
INSERT INTO `tool_storage` VALUES (165, '2024-03-08 13:11:26.750173', '2024-03-08 13:11:26.750173', '微信图片_20240308085222-202403081311745.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403081311745.jpg', '图片', '314.97 KB', 1, 'contract', 2);
INSERT INTO `tool_storage` VALUES (166, '2024-03-08 13:16:11.698799', '2024-03-08 13:16:11.698799', '1709172270328-202403081316681.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081316681.jpg', '图片', '81.56 KB', 1, 'contract', 2);
INSERT INTO `tool_storage` VALUES (167, '2024-03-08 13:16:11.709257', '2024-03-08 13:16:11.709257', '微信图片_20240308085222-202403081316688.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403081316688.jpg', '图片', '314.97 KB', 1, 'contract', 2);
INSERT INTO `tool_storage` VALUES (168, '2024-03-08 13:17:00.151497', '2024-03-08 13:17:00.151497', '1709172270328-202403081317138.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403081317138.jpg', '图片', '81.56 KB', 1, 'contract', 2);
INSERT INTO `tool_storage` VALUES (169, '2024-03-08 13:17:00.160739', '2024-03-08 13:17:00.160739', '微信图片_20240308085222-202403081317143.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403081317143.jpg', '图片', '314.97 KB', 1, 'contract', 2);
INSERT INTO `tool_storage` VALUES (170, '2024-03-11 15:29:12.145015', '2024-03-11 15:29:12.145015', '1709172270328-202403111529135.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403111529135.jpg', '图片', '81.56 KB', 1, 'contract', 7);
INSERT INTO `tool_storage` VALUES (171, '2024-03-11 15:29:12.147324', '2024-03-11 15:29:12.147324', '微信图片_20240308085222-202403111529139.jpg', '微信图片_20240308085222.jpg', 'jpg', '/upload/微信图片_20240308085222-202403111529139.jpg', '图片', '314.97 KB', 1, 'contract', 7);
INSERT INTO `tool_storage` VALUES (172, '2024-03-11 17:10:39.695036', '2024-03-11 17:10:39.695036', '1709172270328-202403111710690.jpg', '1709172270328.jpg', 'jpg', '/upload/1709172270328-202403111710690.jpg', '图片', '81.56 KB', 1, 'contract', 8);
INSERT INTO `tool_storage` VALUES (173, '2024-03-21 16:08:32.854324', '2024-03-21 16:08:32.854324', 'yanshi1-202403211608556.jpg', 'yanshi1.jpg', 'jpg', '/upload/yanshi1-202403211608556.jpg', '图片', '61.08 KB', 1, 'materialsInOut', 72);
INSERT INTO `tool_storage` VALUES (174, '2024-03-21 17:09:15.653321', '2024-03-21 17:09:15.653321', 'pos-x-202403211709234.jpg', 'pos-x.jpg', 'jpg', '/upload/pos-x-202403211709234.jpg', '图片', '63.04 KB', 1, 'materialsInOut', 71);
INSERT INTO `tool_storage` VALUES (175, '2024-03-21 17:09:32.944092', '2024-03-21 17:09:32.944092', '3d66Model-12494952-files-320-202403211709521.jpg', '3d66Model-12494952-files-320.jpg', 'jpg', '/upload/3d66Model-12494952-files-320-202403211709521.jpg', '图片', '63.66 KB', 1, 'materialsInOut', 70);
INSERT INTO `tool_storage` VALUES (176, '2024-03-21 17:14:06.418390', '2024-03-21 17:14:06.418390', '3d66Model-12494952-files-320-202403211714672.jpg', '3d66Model-12494952-files-320.jpg', 'jpg', '/upload/3d66Model-12494952-files-320-202403211714672.jpg', '图片', '63.66 KB', 1, 'product', 22);
INSERT INTO `tool_storage` VALUES (177, '2024-03-22 17:25:30.260926', '2024-03-22 17:25:30.260926', '3d66Model-12494952-files-320-202403221725405.jpg', '3d66Model-12494952-files-320.jpg', 'jpg', '/upload/3d66Model-12494952-files-320-202403221725405.jpg', '图片', '63.66 KB', 1, 'product', 27);
INSERT INTO `tool_storage` VALUES (178, '2024-03-25 16:06:10.167823', '2024-03-25 16:06:10.167823', '3d66Model-12494952-files-3-202403251606976.jpg', '3d66Model-12494952-files-3.jpg', 'jpg', '/upload/3d66Model-12494952-files-3-202403251606976.jpg', '图片', '98.35 KB', 1, 'materialsInOut', 97);
INSERT INTO `tool_storage` VALUES (179, '2024-03-25 16:27:59.456520', '2024-03-25 16:27:59.456520', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251627221.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251627221.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (180, '2024-03-25 16:28:19.171211', '2024-03-25 16:28:19.171211', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251628947.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251628947.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (181, '2024-03-25 16:28:24.271093', '2024-03-25 16:28:24.271093', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251628046.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251628046.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (182, '2024-03-25 16:28:51.337125', '2024-03-25 16:28:51.337125', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251628103.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251628103.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (183, '2024-03-25 16:29:52.097157', '2024-03-25 16:29:52.097157', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251629862.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251629862.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (184, '2024-03-25 16:29:52.100139', '2024-03-25 16:29:52.100139', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251629866.jpg', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404.jpg', 'jpg', '/upload/scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251629866.jpg', '图片', '57.89 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (185, '2024-03-25 16:30:12.681895', '2024-03-25 16:30:12.681895', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251630444.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251630444.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (186, '2024-03-25 16:30:12.683375', '2024-03-25 16:30:12.683375', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251630444.jpg', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404.jpg', 'jpg', '/upload/scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251630444.jpg', '图片', '57.89 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (187, '2024-03-25 16:31:29.716111', '2024-03-25 16:31:29.716111', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251631475.jpg', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404.jpg', 'jpg', '/upload/scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251631475.jpg', '图片', '57.89 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (188, '2024-03-25 16:31:29.716924', '2024-03-25 16:31:29.716924', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251631476.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251631476.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (189, '2024-03-25 16:32:42.493071', '2024-03-25 16:32:42.493071', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251632252.jpg', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404.jpg', 'jpg', '/upload/scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251632252.jpg', '图片', '57.89 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (190, '2024-03-25 16:32:42.497067', '2024-03-25 16:32:42.497067', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251632256.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251632256.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (191, '2024-03-25 16:35:27.743107', '2024-03-25 16:35:27.743107', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251635499.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251635499.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (192, '2024-03-25 16:35:27.746570', '2024-03-25 16:35:27.746570', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251635504.jpg', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404.jpg', 'jpg', '/upload/scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251635504.jpg', '图片', '57.89 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (193, '2024-03-25 16:35:57.996009', '2024-03-25 16:35:57.996009', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251635747.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251635747.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (194, '2024-03-25 16:35:57.997445', '2024-03-25 16:35:57.997445', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251635747.jpg', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404.jpg', 'jpg', '/upload/scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251635747.jpg', '图片', '57.89 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (195, '2024-03-25 16:37:20.048302', '2024-03-25 16:37:20.048302', '3d66Model-12494952-files-3-202403251637797.jpg', '3d66Model-12494952-files-3.jpg', 'jpg', '/upload/3d66Model-12494952-files-3-202403251637797.jpg', '图片', '98.35 KB', 1, 'materialsInOut', 112);
INSERT INTO `tool_storage` VALUES (196, '2024-03-25 16:37:43.625126', '2024-03-25 16:37:43.625126', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251637373.jpg', 'scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450.jpg', 'jpg', '/upload/scaled_9390035c-08ed-4aa3-b057-f90dd30471d5570494671907680450-202403251637373.jpg', '图片', '53.94 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (197, '2024-03-25 16:37:43.626911', '2024-03-25 16:37:43.626911', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251637376.jpg', 'scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404.jpg', 'jpg', '/upload/scaled_5c75f319-8e09-4a35-8477-27241841e2b11618911960313675404-202403251637376.jpg', '图片', '57.89 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (198, '2024-03-25 16:38:32.095682', '2024-03-25 16:38:32.095682', '3d66Model-12494952-files-3-202403251638843.jpg', '3d66Model-12494952-files-3.jpg', 'jpg', '/upload/3d66Model-12494952-files-3-202403251638843.jpg', '图片', '98.35 KB', 1, 'materialsInOut', 112);
INSERT INTO `tool_storage` VALUES (199, '2024-03-25 16:43:55.437346', '2024-03-25 16:43:55.437346', 'scaled_80d5e223-5520-467f-a9f9-810853de652c6486872489674521978-202403251643174.jpg', 'scaled_80d5e223-5520-467f-a9f9-810853de652c6486872489674521978.jpg', 'jpg', '/upload/scaled_80d5e223-5520-467f-a9f9-810853de652c6486872489674521978-202403251643174.jpg', '图片', '55.62 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (200, '2024-03-25 16:43:55.439011', '2024-03-25 16:43:55.439011', 'scaled_a4227c96-596e-490d-a92f-e0f55cef400a8437526180198455207-202403251643177.jpg', 'scaled_a4227c96-596e-490d-a92f-e0f55cef400a8437526180198455207.jpg', 'jpg', '/upload/scaled_a4227c96-596e-490d-a92f-e0f55cef400a8437526180198455207-202403251643177.jpg', '图片', '53.7 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (201, '2024-03-26 09:11:43.924051', '2024-03-26 09:11:43.924051', 'scaled_1a637967-322f-4077-b571-67318831e47a5388336458357771115-202403260911463.jpg', 'scaled_1a637967-322f-4077-b571-67318831e47a5388336458357771115.jpg', 'jpg', '/upload/scaled_1a637967-322f-4077-b571-67318831e47a5388336458357771115-202403260911463.jpg', '图片', '49.49 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (202, '2024-03-26 09:21:05.571986', '2024-03-26 09:21:05.571986', 'scaled_dc17a892-6bbc-4749-8077-1be8ce3d2fa53123598047088265103-202403260921672.jpg', 'scaled_dc17a892-6bbc-4749-8077-1be8ce3d2fa53123598047088265103.jpg', 'jpg', '/upload/scaled_dc17a892-6bbc-4749-8077-1be8ce3d2fa53123598047088265103-202403260921672.jpg', '图片', '51.63 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (203, '2024-03-26 11:34:25.342170', '2024-03-26 11:34:25.342170', 'scaled_d681979b-ca63-453c-8809-e6997c5af7005514768979314679098-202403261134166.jpg', 'scaled_d681979b-ca63-453c-8809-e6997c5af7005514768979314679098.jpg', 'jpg', '/upload/scaled_d681979b-ca63-453c-8809-e6997c5af7005514768979314679098-202403261134166.jpg', '图片', '53.62 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (204, '2024-03-26 13:56:08.343969', '2024-03-26 13:56:08.343969', 'scaled_d2d451ee-173d-462a-952c-352a3e8fd0c37407975546900753888-202403261356811.jpg', 'scaled_d2d451ee-173d-462a-952c-352a3e8fd0c37407975546900753888.jpg', 'jpg', '/upload/scaled_d2d451ee-173d-462a-952c-352a3e8fd0c37407975546900753888-202403261356811.jpg', '图片', '74.12 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (205, '2024-03-26 13:56:08.343974', '2024-03-26 13:56:08.343974', 'scaled_2ea135c3-814d-4036-9937-09c88f4ead9f6687203029443796549-202403261356810.jpg', 'scaled_2ea135c3-814d-4036-9937-09c88f4ead9f6687203029443796549.jpg', 'jpg', '/upload/scaled_2ea135c3-814d-4036-9937-09c88f4ead9f6687203029443796549-202403261356810.jpg', '图片', '89.27 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (206, '2024-03-26 13:56:08.366744', '2024-03-26 13:56:08.366744', 'scaled_599c7a69-d994-460c-b79a-3cefd482e7434061251540207554146-202403261356811.jpg', 'scaled_599c7a69-d994-460c-b79a-3cefd482e7434061251540207554146.jpg', 'jpg', '/upload/scaled_599c7a69-d994-460c-b79a-3cefd482e7434061251540207554146-202403261356811.jpg', '图片', '89.49 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (207, '2024-03-26 13:56:57.545563', '2024-03-26 13:56:57.545563', 'scaled_f7a13c2e-134c-4de4-90ff-8a4680fd652f1553028774544341980-202403261357015.jpg', 'scaled_f7a13c2e-134c-4de4-90ff-8a4680fd652f1553028774544341980.jpg', 'jpg', '/upload/scaled_f7a13c2e-134c-4de4-90ff-8a4680fd652f1553028774544341980-202403261357015.jpg', '图片', '78.58 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (208, '2024-03-26 13:56:57.546780', '2024-03-26 13:56:57.546780', 'scaled_7118a807-43b8-44b8-b86a-2823da96b099726991530082479093-202403261357018.jpg', 'scaled_7118a807-43b8-44b8-b86a-2823da96b099726991530082479093.jpg', 'jpg', '/upload/scaled_7118a807-43b8-44b8-b86a-2823da96b099726991530082479093-202403261357018.jpg', '图片', '59.26 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (209, '2024-03-26 13:56:57.546783', '2024-03-26 13:56:57.546783', 'scaled_92d71763-5574-46ad-9176-330cabf18f268972942500955895967-202403261357018.jpg', 'scaled_92d71763-5574-46ad-9176-330cabf18f268972942500955895967.jpg', 'jpg', '/upload/scaled_92d71763-5574-46ad-9176-330cabf18f268972942500955895967-202403261357018.jpg', '图片', '67.25 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (210, '2024-03-26 13:56:57.567969', '2024-03-26 13:56:57.567969', 'scaled_7a9264a9-fbee-4f25-a0af-4672edf305626973828255576468559-202403261357018.jpg', 'scaled_7a9264a9-fbee-4f25-a0af-4672edf305626973828255576468559.jpg', 'jpg', '/upload/scaled_7a9264a9-fbee-4f25-a0af-4672edf305626973828255576468559-202403261357018.jpg', '图片', '85.57 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (211, '2024-03-26 13:56:57.570940', '2024-03-26 13:56:57.570940', 'scaled_3df02010-2270-4dcc-bb56-371de26897037809041329322071714-202403261357021.jpg', 'scaled_3df02010-2270-4dcc-bb56-371de26897037809041329322071714.jpg', 'jpg', '/upload/scaled_3df02010-2270-4dcc-bb56-371de26897037809041329322071714-202403261357021.jpg', '图片', '99.8 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (212, '2024-03-26 14:27:03.612654', '2024-03-26 14:27:03.612654', 'scaled_643dbbf9-d698-409d-b564-785ada1cf8393161751276012656173-202403261427036.jpg', 'scaled_643dbbf9-d698-409d-b564-785ada1cf8393161751276012656173.jpg', 'jpg', '/upload/scaled_643dbbf9-d698-409d-b564-785ada1cf8393161751276012656173-202403261427036.jpg', '图片', '475.95 KB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (213, '2024-03-26 14:27:51.534329', '2024-03-26 14:27:51.534329', 'scaled_87a5fb79-970e-40b8-8036-06b847ff5ed77569061097438195214-202403261427941.jpg', 'scaled_87a5fb79-970e-40b8-8036-06b847ff5ed77569061097438195214.jpg', 'jpg', '/upload/scaled_87a5fb79-970e-40b8-8036-06b847ff5ed77569061097438195214-202403261427941.jpg', '图片', '1.68 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (214, '2024-03-26 14:48:50.771816', '2024-03-26 14:48:50.771816', 'scaled_2b280b65-beec-4dcb-a39e-13427871926a589685855459616510-202403261448367.jpg', 'scaled_2b280b65-beec-4dcb-a39e-13427871926a589685855459616510.jpg', 'jpg', '/upload/scaled_2b280b65-beec-4dcb-a39e-13427871926a589685855459616510-202403261448367.jpg', '图片', '1.17 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (215, '2024-03-26 14:56:59.991816', '2024-03-26 14:56:59.991816', 'scaled_072d9fe8-fc60-4626-8a3b-06639e1a11102576129031638219701-202403261457570.jpg', 'scaled_072d9fe8-fc60-4626-8a3b-06639e1a11102576129031638219701.jpg', 'jpg', '/upload/scaled_072d9fe8-fc60-4626-8a3b-06639e1a11102576129031638219701-202403261457570.jpg', '图片', '1.79 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (216, '2024-03-26 14:57:00.859728', '2024-03-26 14:57:00.859728', 'scaled_2b280b65-beec-4dcb-a39e-13427871926a589685855459616510-202403261457443.jpg', 'scaled_2b280b65-beec-4dcb-a39e-13427871926a589685855459616510.jpg', 'jpg', '/upload/scaled_2b280b65-beec-4dcb-a39e-13427871926a589685855459616510-202403261457443.jpg', '图片', '1.17 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (217, '2024-03-26 15:00:10.928209', '2024-03-26 15:00:10.928209', 'scaled_cff03a18-0ec1-4fde-b940-01de3acc6d061416191473797538812-202403261500491.jpg', 'scaled_cff03a18-0ec1-4fde-b940-01de3acc6d061416191473797538812.jpg', 'jpg', '/upload/scaled_cff03a18-0ec1-4fde-b940-01de3acc6d061416191473797538812-202403261500491.jpg', '图片', '1.16 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (218, '2024-03-26 15:15:11.475534', '2024-03-26 15:15:11.475534', 'scaled_af448995-1a4c-4196-a11e-6dc95cd91ba05659735836510102013-202403261515014.jpg', 'scaled_af448995-1a4c-4196-a11e-6dc95cd91ba05659735836510102013.jpg', 'jpg', '/upload/scaled_af448995-1a4c-4196-a11e-6dc95cd91ba05659735836510102013-202403261515014.jpg', '图片', '2.26 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (219, '2024-03-26 15:16:10.017398', '2024-03-26 15:16:10.017398', 'scaled_4bc91ea6-1949-49d8-8d51-1b8573bf108e4784062601379129071-202403261516559.jpg', 'scaled_4bc91ea6-1949-49d8-8d51-1b8573bf108e4784062601379129071.jpg', 'jpg', '/upload/scaled_4bc91ea6-1949-49d8-8d51-1b8573bf108e4784062601379129071-202403261516559.jpg', '图片', '1.3 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (220, '2024-03-26 15:16:51.648859', '2024-03-26 15:16:51.648859', 'scaled_314eb685-b25d-4834-841f-e23751cd2a5f5192837258445318655-202403261516191.jpg', 'scaled_314eb685-b25d-4834-841f-e23751cd2a5f5192837258445318655.jpg', 'jpg', '/upload/scaled_314eb685-b25d-4834-841f-e23751cd2a5f5192837258445318655-202403261516191.jpg', '图片', '1.85 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (221, '2024-03-27 10:04:51.360595', '2024-03-27 10:04:51.360595', '3d66Model-12494952-files-3-202403271004438.jpg', '3d66Model-12494952-files-3.jpg', 'jpg', '/upload/3d66Model-12494952-files-3-202403271004438.jpg', '图片', '98.35 KB', 1, 'materialsInOut', 166);
INSERT INTO `tool_storage` VALUES (222, '2024-03-27 10:07:21.843030', '2024-03-27 10:07:21.843030', 'scaled_6926ce62-b333-43f0-b9d5-fa1cff94b0026152296259250934531-202403271007912.jpg', 'scaled_6926ce62-b333-43f0-b9d5-fa1cff94b0026152296259250934531.jpg', 'jpg', '/upload/scaled_6926ce62-b333-43f0-b9d5-fa1cff94b0026152296259250934531-202403271007912.jpg', '图片', '1.18 MB', 1, '', NULL);
INSERT INTO `tool_storage` VALUES (223, '2024-03-27 10:07:21.860260', '2024-03-27 10:07:21.860260', 'scaled_0de1e7f6-cca7-4172-9ad6-5288212ea3de160786817006652480-202403271007930.jpg', 'scaled_0de1e7f6-cca7-4172-9ad6-5288212ea3de160786817006652480.jpg', 'jpg', '/upload/scaled_0de1e7f6-cca7-4172-9ad6-5288212ea3de160786817006652480-202403271007930.jpg', '图片', '1.17 MB', 1, '', NULL);

-- ----------------------------
-- Table structure for user_access_tokens
-- ----------------------------
DROP TABLE IF EXISTS `user_access_tokens`;
CREATE TABLE `user_access_tokens`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `expired_at` datetime NOT NULL COMMENT '令牌过期时间',
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) COMMENT '令牌创建时间',
  `user_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_e9d9d0c303432e4e5e48c1c3e90`(`user_id`) USING BTREE,
  CONSTRAINT `FK_e9d9d0c303432e4e5e48c1c3e90` FOREIGN KEY (`user_id`) REFERENCES `sys_user` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of user_access_tokens
-- ----------------------------
INSERT INTO `user_access_tokens` VALUES ('00866088-2523-44ab-b972-1edb92b5318a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MTg4NTF9.lKuI2g6Zp8Xn_j9TkOpd92OZ3HEAVrXqsGFeBrqjeMg', '2024-03-28 13:54:12', '2024-03-27 13:54:12.187932', 1);
INSERT INTO `user_access_tokens` VALUES ('0233ea11-41af-453a-b8ed-b9731b252d05', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MzcxNTl9.3ZKGerjK3ohCnmZzWIi7DmpvH3DIFX6MGS2VESWnuAQ', '2024-03-20 16:32:40', '2024-03-19 16:32:41.320136', 1);
INSERT INTO `user_access_tokens` VALUES ('0a058377-1c0e-48d6-b143-21d5195ac859', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA3NTE2MjN9.0XL_QKSrMlqkMCMEnon4Yju6Iz44b62CAEWZ9Sd9PvI', '2024-03-19 16:47:04', '2024-03-18 16:47:04.547719', 1);
INSERT INTO `user_access_tokens` VALUES ('0a52047b-397f-4ff2-9bfc-9940e17b2fcb', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MDgzNzd9.xwBg4Y4QJz2T2t82G2y1EbDTOWHH18AkzvnphAih6vA', '2024-03-28 10:59:38', '2024-03-27 10:59:38.011777', 1);
INSERT INTO `user_access_tokens` VALUES ('0baa35e7-11a8-4280-be13-b12c9416283b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0Mzk2NTd9.u-QKP2oMbKGcItCznOakxzBPg67JJLZRiyWHBDxareM', '2024-03-27 15:54:18', '2024-03-26 15:54:15.402975', 1);
INSERT INTO `user_access_tokens` VALUES ('0bee723d-c635-4396-9656-8165ac9594b0', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA5OTEyNDR9.tVL8dDnSE5ZqgZpZ1a90cK5JqGN7Bh8pkSZj7OOvdaM', '2024-03-22 11:20:44', '2024-03-21 11:20:45.958604', 1);
INSERT INTO `user_access_tokens` VALUES ('0f9677c0-6a16-4b6b-ac83-2ee669fb7ced', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTE2NjN9.vSDaVKDcN5HOGNX5d_rJC4SOo2d3P-oLUttQlkBrm0U', '2024-03-20 09:27:44', '2024-03-19 09:27:47.503333', 1);
INSERT INTO `user_access_tokens` VALUES ('191ada91-e54d-46c5-a20d-448022f5da60', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MzQ4MTB9.5sNHITFJWsfOUMrl2YL6gEnPp_9oo7Ri9-Uumzs_sMo', '2024-03-20 15:53:31', '2024-03-19 15:53:32.249226', 1);
INSERT INTO `user_access_tokens` VALUES ('1added11-2ae5-4e39-bfd1-3972d3d95ad6', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTEzNDN9.onuHFlLcuUPtCmNJu30DgZ8KctDtHKpWhp7RWrATXVY', '2024-03-20 09:22:23', '2024-03-19 09:22:27.221110', 1);
INSERT INTO `user_access_tokens` VALUES ('1ca6754c-710d-4a23-8b17-79fe340e1e65', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA5MTI0NDR9._218cyUmUipNcFenAz_Hn83D9hwmTQkAaG0ExC6Nar4', '2024-03-21 13:27:24', '2024-03-20 13:27:27.491644', 1);
INSERT INTO `user_access_tokens` VALUES ('202c3f1c-6068-427f-8c75-50b24f93a5c8', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTAxNDgxMDR9.n3nf3kBqLhSC6hEBcbTVLruzRGGWnab7XVp9irH35yc', '2024-03-12 17:08:24', '2024-03-11 17:08:24.296728', 1);
INSERT INTO `user_access_tokens` VALUES ('29c99bed-2ad0-455d-9085-9e59192e2426', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTEyMTZ9.qDQNz09cAjWStacu6ORM8Kfa2-1uT23GLdqIs1FKjas', '2024-03-20 09:20:16', '2024-03-19 09:20:20.305036', 1);
INSERT INTO `user_access_tokens` VALUES ('2a5358f2-a465-4241-834f-271f72fbf947', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MDUwNzB9.-338fcBRpfrto1EubzOAaBWoAYYHAsKd5uMb3qi4P2Y', '2024-03-28 10:04:30', '2024-03-27 10:04:30.009272', 1);
INSERT INTO `user_access_tokens` VALUES ('2a71c8ce-d4d4-47c4-b004-928f5056676b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MDM5MDZ9.iYzKUMMmvoYV_ggaTdyzBnq7AJ0zIzKoueEkQVtpM5U', '2024-03-28 09:45:07', '2024-03-27 09:45:06.513597', 1);
INSERT INTO `user_access_tokens` VALUES ('2af24ef8-886d-4510-b8be-816023f2e517', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0MzgyOTR9.-ZI7lT4i1y8DOXRvLIQp33pzRTowOXSmFB4rrh1Y4dc', '2024-03-27 15:31:34', '2024-03-26 15:31:31.651204', 1);
INSERT INTO `user_access_tokens` VALUES ('31cc91fe-e7b0-4d74-9ea2-f5f12063df86', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwMTExNzl9.lCc6BsEz_kJAmVYYBKQJkVjimaDBaKns21FPHiGfECs', '2024-03-22 16:53:00', '2024-03-21 16:53:02.299107', 1);
INSERT INTO `user_access_tokens` VALUES ('34463fa6-75ab-4fc2-ae16-b2e537c8b36d', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MzgwMjN9.aqnbHvymunC_kVJhftd7t6CiHQ0fEOJ_EcEEIdawEaY', '2024-03-20 16:47:03', '2024-03-19 16:47:04.883026', 1);
INSERT INTO `user_access_tokens` VALUES ('359f13d0-5507-4de6-8577-8c315892fa00', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTg3NTR9.0UaiKzzZ33lI-z_8J88B_xCBS8VaT1P0ixZ4kqKRy8w', '2024-03-20 11:25:54', '2024-03-19 11:25:54.977965', 1);
INSERT INTO `user_access_tokens` VALUES ('366b9989-b264-4d58-bd6a-4f8da8e0250d', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwNjg4OTF9.4TFOAi6JO5b0K5o3as2q_oFz9TlzvQHtaPbzIdtSz2k', '2024-03-23 08:54:52', '2024-03-22 08:54:51.422041', 1);
INSERT INTO `user_access_tokens` VALUES ('3e0918fa-04c2-45df-858e-34d725c21a25', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwMDE2MzF9.r1a4CTC4EmLEdQQ1-kzEkWySW5HaPqISQLafTfLMzSc', '2024-03-22 14:13:52', '2024-03-21 14:13:54.021153', 1);
INSERT INTO `user_access_tokens` VALUES ('3e6845c8-9cc3-492e-bcd7-9636b00d5631', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTIzODB9.F7U7AhNWV1gLdqpM_yHIU6qYadNb0AJap0SScckn9vw', '2024-03-20 09:39:40', '2024-03-19 09:39:44.297388', 1);
INSERT INTO `user_access_tokens` VALUES ('494de6e6-9ac1-47f2-b649-afac34468a64', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEzMzM3Mjh9.qjipswowmSD6jkKJO7UZhU7yTLIai4cXaCQIgq6Lj30', '2024-03-26 10:28:48', '2024-03-25 10:28:47.927310', 1);
INSERT INTO `user_access_tokens` VALUES ('5478eda6-191c-4643-9923-a1c1d83a25ee', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTE2MDN9.Xh9jupN8Zq7Ubn23ZnjOd_ie-Gt9XLBvVVD2p4Hn-UQ', '2024-03-20 09:26:44', '2024-03-19 09:26:47.658484', 1);
INSERT INTO `user_access_tokens` VALUES ('585cba42-9d53-4003-9194-20ccb52080f1', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MzE2MDh9.ee_VZphsUWW48bA0zsZtdgTdEMN8aIDu_3syty3xuZE', '2024-03-20 15:00:09', '2024-03-19 15:00:10.107179', 1);
INSERT INTO `user_access_tokens` VALUES ('58fd6fa7-fd30-4a3e-bc79-53d1575745c2', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwNjg0Njl9.sefSuM1C_FgjcnLUSgrlcFAMEQrtSybPBu_hU3lePlo', '2024-03-23 08:47:50', '2024-03-22 08:47:49.546874', 1);
INSERT INTO `user_access_tokens` VALUES ('591e086d-96c4-4cab-bb9f-fabe6ee27d43', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTIzNDN9.J1gHFnd_56wTjz2SKw-LbeiFngJTNRo06B1ydUc4yHE', '2024-03-20 09:39:03', '2024-03-19 09:39:07.359019', 1);
INSERT INTO `user_access_tokens` VALUES ('59b32e05-ed47-4634-adf2-86076aac9274', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTAyMDUzNTJ9.fDrd_FJd9fcbw6APV3BKOu3Lfkhi_5C7N36OnQTcmK8', '2024-03-13 09:02:33', '2024-03-12 09:02:32.681075', 1);
INSERT INTO `user_access_tokens` VALUES ('5bb267d3-8f88-4a1c-90cc-b36c5bf156fa', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwNzM5MDZ9.SmlswCpWEJERkfIKSZr-geVEUAvG81X1mG3tki0olqU', '2024-03-23 10:18:26', '2024-03-22 10:18:26.249237', 1);
INSERT INTO `user_access_tokens` VALUES ('63e12288-1b49-4393-a07c-158189f687c7', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTE3MjN9.hE4dtpr1V2EQ5wGnqPIBsKu6-UROlpDSyBR6o--PLFw', '2024-03-20 09:28:44', '2024-03-19 09:28:47.957727', 1);
INSERT INTO `user_access_tokens` VALUES ('64dd9302-c031-49f6-8eb6-bdb6e079fd2a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MDgzNjN9.Patr4gBYADBgtqO418I8VBk8apQIx8yRy3wZC0vqAEA', '2024-03-28 10:59:23', '2024-03-27 10:59:23.326845', 1);
INSERT INTO `user_access_tokens` VALUES ('66a3b775-98e7-4142-be24-415206c6973b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwMDE5MjF9.dyIhc08fJqn4wgdEx1r-Tdfl-e6lOwN4Dpw8o4eq6RA', '2024-03-22 14:18:41', '2024-03-21 14:18:43.376336', 1);
INSERT INTO `user_access_tokens` VALUES ('692a1a4d-08fc-490e-97d2-f9997d6e734a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE2MDIzNzR9.QjRleFqx2KVuvhLwBOlRnzsjFS5smKZfw7lqoAv5hwg', '2024-03-29 13:06:15', '2024-03-28 13:06:16.370572', 1);
INSERT INTO `user_access_tokens` VALUES ('6c22c272-e33f-4fa4-a331-17b08293c97c', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTAxNDY1MDd9.eOQd3_5vhaIWY9GkICA5txh-IQC_hjCj1Hlxoxptfsw', '2024-03-12 16:41:48', '2024-03-11 16:41:47.547701', 1);
INSERT INTO `user_access_tokens` VALUES ('6e81f813-8166-434a-8b01-a3793bc9ba78', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MTg2MDV9.Ime_F6N44mbpR0jSUjpV2ABui0vwjTi-ixfshGKaN30', '2024-03-28 13:50:06', '2024-03-27 13:50:06.302482', 1);
INSERT INTO `user_access_tokens` VALUES ('760fa21e-b944-4138-9a28-59ca4c41cc53', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MTAwMTV9.H58vmmiqL1a6aqMSzmCOiMaU-SpE03SM4B6Y9fY5dhM', '2024-03-28 11:26:55', '2024-03-27 11:26:55.112351', 1);
INSERT INTO `user_access_tokens` VALUES ('7c7a14dc-5cc7-4fc9-922f-745b916a2e8b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTAyMjQwNjd9.cjbEoVNMEGmORms-_qYdxOHlR4mW3HhpjGBQ7xMJ8hA', '2024-03-13 14:14:27', '2024-03-12 14:14:27.137231', 1);
INSERT INTO `user_access_tokens` VALUES ('801e4049-e49a-474c-9622-603e191c9767', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwNzIxOTB9.f-mhCiL8RJIWLtfoMrGfsmDlzpMW99cuA1O37ER8aIw', '2024-03-23 09:49:50', '2024-03-22 09:49:50.132778', 1);
INSERT INTO `user_access_tokens` VALUES ('835e7377-9633-444e-9522-ec6df447ff79', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MjY3ODh9.dU8jiXPKYrXLad20GTLykqfX-n5Kf4Be1WEULAuWruk', '2024-03-20 13:39:49', '2024-03-19 13:39:49.803275', 1);
INSERT INTO `user_access_tokens` VALUES ('85ca2577-5bfe-42f2-b1a5-f2342ab0b42a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0Mzk2ODd9.x97vPdg1jJqN_8am7y8-6YpK_kz3-c9BR9bs3LHi-KY', '2024-03-27 15:54:48', '2024-03-26 15:54:45.087331', 1);
INSERT INTO `user_access_tokens` VALUES ('8d765f70-9ea8-4ca9-b072-b20be8fa6a77', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTAxNDU1MzV9.NpEHySU1T6i7ATJnYr0ylma3ndEt3rIuDtca9s2e4fo', '2024-03-12 16:25:35', '2024-03-11 16:25:35.139483', 1);
INSERT INTO `user_access_tokens` VALUES ('9096c688-07d7-4709-a431-1bece82f3b93', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTAxNjV9.jtMsYwjq-0cceX-sHWDIb-i7W8xSQTxu_-aneefje94', '2024-03-20 09:02:45', '2024-03-19 09:02:49.121077', 1);
INSERT INTO `user_access_tokens` VALUES ('914b16d0-4508-462e-be5a-44d374c4fd61', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA5OTAwNTR9.IpNJRRFAUKZjMuL4FgYHfviAwVdzrElh4nZaflvzY8g', '2024-03-22 11:00:55', '2024-03-21 11:00:56.647606', 1);
INSERT INTO `user_access_tokens` VALUES ('95cc9059-6e9b-4354-84ed-29fe0807fac7', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4NDA2MjV9.As1-SCnVDUOZNaohx-dezHJr3x44MZp2RkTB0BXm9YA', '2024-03-20 17:30:26', '2024-03-19 17:30:27.477349', 1);
INSERT INTO `user_access_tokens` VALUES ('9b8a542b-f702-4fa9-87ce-ca87d3063dac', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MTg2MTh9.6TU8IYG03jtoA9m5fak3nJfv2FuZQpWFtr1Ghsl8Fdw', '2024-03-28 13:50:18', '2024-03-27 13:50:18.556242', 1);
INSERT INTO `user_access_tokens` VALUES ('a2822d05-b23a-4df0-a048-539fa79593c6', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MDg3MzJ9.6V07EvTyO9X2eTR-Y_MtuKcp6m0A9Mb4ZiprtagLw28', '2024-03-28 11:05:33', '2024-03-27 11:05:32.631459', 1);
INSERT INTO `user_access_tokens` VALUES ('a4925b1e-ddf5-4382-a643-b45d1bf8199c', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTE2NzJ9.u1p4PPH6WerSOVw3oVf2UpVLxCGDGjEBxQ8uTHrTZsA', '2024-03-20 09:27:52', '2024-03-19 09:27:56.058970', 1);
INSERT INTO `user_access_tokens` VALUES ('a8caae33-85eb-45f7-afc6-1e4bd187599c', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MTAzMDV9.Zvbw5lWlok6Hr8R1MAit1J1ZtDU1tKPlaHvQku8lyGA', '2024-03-28 11:31:45', '2024-03-27 11:31:45.293488', 1);
INSERT INTO `user_access_tokens` VALUES ('aa08e3d0-b1ab-410f-8504-0ae8e2504864', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTI0Mjl9.WFKUbUGTJmkdNG3AoKChxp632unDVOvBYknJNVvKRtw', '2024-03-20 09:40:30', '2024-03-19 09:40:33.978807', 1);
INSERT INTO `user_access_tokens` VALUES ('ab1e415f-d811-47ea-9226-86684b71060f', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTAyMDM1NTV9.-MjD4XNqv-CHWKUJTE82rfFvkfl8vJG8I8SZ1LU5Qo0', '2024-03-13 08:32:35', '2024-03-12 08:32:35.316282', 1);
INSERT INTO `user_access_tokens` VALUES ('b063d499-6fd3-48ea-b75d-95d3bb301c13', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwMTI5MzF9.F4i2_962VBcPPlmr2d_qw1-Nu7lOWS-WS8jAantuS_o', '2024-03-22 17:22:12', '2024-03-21 17:22:14.371446', 1);
INSERT INTO `user_access_tokens` VALUES ('b140cb61-64a4-4e5f-b278-5d1764f28524', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwNjg1MjF9.3tEn-p_MoFohcXRbyOF27WDH6ZiuSSRTtWpH5BEo2Qk', '2024-03-23 08:48:41', '2024-03-22 08:48:40.790543', 1);
INSERT INTO `user_access_tokens` VALUES ('b7f0d7b7-eb71-4eb1-a47d-88c444a44b2f', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0MzgyMTh9.KtkYzRJ1NLAQUingFGjJuLCZ9yp5bbqITH_CA2qCLh8', '2024-03-27 15:30:19', '2024-03-26 15:30:16.074185', 1);
INSERT INTO `user_access_tokens` VALUES ('b85f77c8-fd9c-4f97-b680-666be5b2deb6', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA5ODUyMjN9.oxV57ydkinFtrwBbWI8xK-qrpkDDXi6kEINfCvDqe1c', '2024-03-22 09:40:23', '2024-03-21 09:40:24.862189', 1);
INSERT INTO `user_access_tokens` VALUES ('b92e568c-a942-4155-85be-4ade7c61d774', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTAyMDQ2MzR9.kyjByDKeCWQArLkl4x4FsOwOn2jU6zp91WoAfMf5RoY', '2024-03-13 08:50:35', '2024-03-12 08:50:34.530170', 1);
INSERT INTO `user_access_tokens` VALUES ('bb16d202-1f32-4f55-8fc1-7c653d44d874', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MjQ0ODF9.yV7rOObsnoSkTy2yMMZHoNLGcWMsw6P-jYTP_87Uffo', '2024-03-20 13:01:22', '2024-03-19 13:01:22.802716', 1);
INSERT INTO `user_access_tokens` VALUES ('bde4a4d2-ec77-4247-bfe9-2bdcb2b0c647', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MDk4MzB9.jr6tcmZysoD5mO51Hvt9d2e4hHS6OZrhp0ynVPt8PNE', '2024-03-28 11:23:51', '2024-03-27 11:23:50.924952', 1);
INSERT INTO `user_access_tokens` VALUES ('bed60fee-ef30-48a1-a8a3-e1394ef69c66', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4OTc0MzB9.KwretnZz0QASH0KXtiJc9UEMqJIG5xhdsXOk1bfOxXQ', '2024-03-21 09:17:11', '2024-03-20 09:17:13.363786', 1);
INSERT INTO `user_access_tokens` VALUES ('c519656a-1312-4074-990d-e9577c000278', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwNjg3NDl9.-e6nu9CeUL-DFGQSrGA0xCU0bB9NPXOJ4H07E8MmnxQ', '2024-03-23 08:52:30', '2024-03-22 08:52:29.450325', 1);
INSERT INTO `user_access_tokens` VALUES ('c74cf0ed-b704-4e72-a93f-24a79cb7db07', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0NDAxMzB9.EhX-5QSjuuXBHOFXLFyzD6MVBtpo9JoI3zJzLj4oWf4', '2024-03-27 16:02:10', '2024-03-26 16:02:07.610864', 1);
INSERT INTO `user_access_tokens` VALUES ('cc1cc297-6be6-4267-9aec-fa45e59710eb', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MDg2NTN9.OWsAKScwNrk3-E1FasIJaQ-0mZJcRMMdH0TN35pR_T8', '2024-03-28 11:04:14', '2024-03-27 11:04:13.782127', 1);
INSERT INTO `user_access_tokens` VALUES ('cc472002-f409-4273-aa55-dde97cb1ac29', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0MzgxOTF9.-g-o-zdXpSyjaQEYu8zsfvonHZH4s37jRE09soxhPRs', '2024-03-27 15:29:51', '2024-03-26 15:29:48.495898', 1);
INSERT INTO `user_access_tokens` VALUES ('ce151b19-e87d-4cce-9493-fb0aa203198b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTA2Mzd9.JEvSNANVjeOede04Zjyv65RCZ8MIaAjzUZGK1j-HVlY', '2024-03-20 09:10:38', '2024-03-19 09:10:41.614145', 1);
INSERT INTO `user_access_tokens` VALUES ('d18de5f3-f114-4f19-8981-5ef576706a60', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA3NTE1NTJ9.5HZXP5ZKsPslkEK-kJmeKmYG0MWKaQthAWFUhyQ9TiE', '2024-03-19 16:45:53', '2024-03-18 16:45:53.566424', 1);
INSERT INTO `user_access_tokens` VALUES ('e087f105-324d-4b0d-b44a-4f9c6041a258', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0Mzk4MjV9.ObutDKkzqpGV5HYNckVJmnZG5lpgiPZWiT8h5ej3f_g', '2024-03-27 15:57:05', '2024-03-26 15:57:02.487339', 1);
INSERT INTO `user_access_tokens` VALUES ('e0b66a0d-2522-4423-8a04-81e282520f2f', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEzMzgwMjF9.iEEjHupmnw-trA0cFbYj6nmRxVPKXSQ9NLnV5v6nrsA', '2024-03-26 11:40:22', '2024-03-25 11:40:21.378503', 1);
INSERT INTO `user_access_tokens` VALUES ('e0f833b8-4c69-43cc-ae17-51579379c09c', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwMDAzMjd9.xhiRtcg6yq7q3lLIQdB2_tN7pNAhyj0mI7qMYhPxc64', '2024-03-22 13:52:07', '2024-03-21 13:52:09.245352', 1);
INSERT INTO `user_access_tokens` VALUES ('e23276d2-3f8b-4ce3-aa75-5f15ccc43512', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0Mzk2MjV9.xhByWA1kiCFNT2HaqzIEhU9QYnVyZ2oVjwigf6J1D3A', '2024-03-27 15:53:46', '2024-03-26 15:53:43.048420', 1);
INSERT INTO `user_access_tokens` VALUES ('e7ba638f-c89f-47e9-bd67-8918a7cb8cc3', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTE3Mzl9.4vXdwhtGgsSzC9vBerAbXk04mDbpeDh5XdpB7_okDPE', '2024-03-20 09:28:59', '2024-03-19 09:29:03.147751', 1);
INSERT INTO `user_access_tokens` VALUES ('ecdd1694-db7c-442c-a998-ef708d6a2a67', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA5MTA5MTN9.9opzZI0y3C_-E3euH-XdwaDf7apnftlRtkk3ZIDqh3A', '2024-03-21 13:01:53', '2024-03-20 13:01:56.119760', 1);
INSERT INTO `user_access_tokens` VALUES ('ed53543e-51a0-4163-8954-f96a7e1fadcb', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE1MDkzNTN9.E0xGR2iGcyef2BEUDMuaMka97NaLqNq_piRC_w66_x8', '2024-03-28 11:15:54', '2024-03-27 11:15:53.999628', 1);
INSERT INTO `user_access_tokens` VALUES ('eebefeae-565c-44c5-b43c-a2eee2077b5b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTAwNzB9.1CXhZmQZhmmT2x9KusTSclO9a0ZGpgzElvS-lJHhHsM', '2024-03-20 09:01:10', '2024-03-19 09:01:14.203313', 1);
INSERT INTO `user_access_tokens` VALUES ('f63b8aa7-d54e-42db-9b9b-79440133b131', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTA4MTIzOTV9.b1QALT2pgRe2tJIckPMtIhPNFTQzI5-UlyVCdSQIC2w', '2024-03-20 09:39:55', '2024-03-19 09:39:59.158099', 1);
INSERT INTO `user_access_tokens` VALUES ('f87de777-667c-4add-938b-d121d69361f6', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTE0MzgzMjd9.uPz09Q5Sh0X78HV43G8GaGYD8brN6WlX1kWneX7M67s', '2024-03-27 15:32:07', '2024-03-26 15:32:04.529181', 1);
INSERT INTO `user_access_tokens` VALUES ('faa26fea-b099-4edf-a9ca-642f06a4e8c1', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTEwNjczMTl9.QvHe_baU8fJwr9m4PtO-XpBZKFwgcMXM_g3K3h40hKc', '2024-03-23 08:28:40', '2024-03-22 08:28:39.849804', 1);

-- ----------------------------
-- Table structure for user_refresh_tokens
-- ----------------------------
DROP TABLE IF EXISTS `user_refresh_tokens`;
CREATE TABLE `user_refresh_tokens`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `expired_at` datetime NOT NULL COMMENT '令牌过期时间',
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) COMMENT '令牌创建时间',
  `accessTokenId` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `REL_1dfd080c2abf42198691b60ae3`(`accessTokenId`) USING BTREE,
  CONSTRAINT `FK_1dfd080c2abf42198691b60ae39` FOREIGN KEY (`accessTokenId`) REFERENCES `user_access_tokens` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of user_refresh_tokens
-- ----------------------------
INSERT INTO `user_refresh_tokens` VALUES ('010e06ef-1457-437b-ad87-13b027bfbabf', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiMVA1WlRkVkNNSVdCeVZzUWNvUXhwIiwiaWF0IjoxNzExMDAxOTIxfQ.ymE1VCWUEP8GOFq-UBkrpmjW4YUIhGQKN4ehkUmPTvk', '2024-04-20 14:18:41', '2024-03-21 14:18:43.417025', '66a3b775-98e7-4142-be24-415206c6973b');
INSERT INTO `user_refresh_tokens` VALUES ('07e96a3a-b62e-47c5-a7df-9389b7063480', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiWVlWdzdPUmNLdEJUSXFBMWNFZms2IiwiaWF0IjoxNzExNTEwMzA1fQ.qVxTN6ysyP7YeWbAdvRpjvsGAxpcm43mcaPbkct95BY', '2024-04-26 11:31:45', '2024-03-27 11:31:45.326110', 'a8caae33-85eb-45f7-afc6-1e4bd187599c');
INSERT INTO `user_refresh_tokens` VALUES ('08a09272-11ec-4d52-bff0-ce1fa066fae4', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiNnZQTEhfM3l1QVViUlE0SHU3UnFLIiwiaWF0IjoxNzEwODExNjcyfQ.zxFU1bygRPc5MdSmD04A1_O8NlkafARR47dKoLhVLoY', '2024-04-18 09:27:52', '2024-03-19 09:27:56.089234', 'a4925b1e-ddf5-4382-a643-b45d1bf8199c');
INSERT INTO `user_refresh_tokens` VALUES ('0a366a11-90e5-4287-9fbd-8de07fa02d8f', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiS2lpbGY0NVQtUm1OcGdBNkVDUEl0IiwiaWF0IjoxNzEwODEyMzk1fQ.oV2IKNaSrWDTsldxsya0jVkTv-rtXer5vwQ7Gb_Hmhg', '2024-04-18 09:39:55', '2024-03-19 09:39:59.185706', 'f63b8aa7-d54e-42db-9b9b-79440133b131');
INSERT INTO `user_refresh_tokens` VALUES ('0d5a4d35-c3e2-4ee8-b9de-7b3ec878ba30', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZjNCYnRYUlV4aDNoRzc4NWZQMGx4IiwiaWF0IjoxNzEwMjA0NjM0fQ.WzjE8XNFVJxInsboM3ajmce7ajU3wOJwkbrwdHeBHW8', '2024-04-11 08:50:35', '2024-03-12 08:50:34.540128', 'b92e568c-a942-4155-85be-4ade7c61d774');
INSERT INTO `user_refresh_tokens` VALUES ('0fbbe536-4bc1-4592-a5e2-fe77fbedc938', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZU9vaE90YzZCa203ck5HSzZGQTU0IiwiaWF0IjoxNzExNTA4MzYzfQ.qnxo7i0eckurIxmm1yne62qE7m5xy4wcDcMQQ2ruPvg', '2024-04-26 10:59:23', '2024-03-27 10:59:23.382098', '64dd9302-c031-49f6-8eb6-bdb6e079fd2a');
INSERT INTO `user_refresh_tokens` VALUES ('11a3293f-ccc4-4ef5-af95-17cb96219743', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiNmRJTDR1Mlo4cmlwVW1XUjhmV0VHIiwiaWF0IjoxNzEwODk3NDMwfQ.TkIFl5hIF1gllYasIfOgeCWd36YP1lM2kjtN79POb4A', '2024-04-19 09:17:11', '2024-03-20 09:17:13.399688', 'bed60fee-ef30-48a1-a8a3-e1394ef69c66');
INSERT INTO `user_refresh_tokens` VALUES ('1ad2cc4b-fed9-412f-a115-b8ef75249bfe', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiMnBMc3NHaTJpZkpoTzFqWHZZbXFYIiwiaWF0IjoxNzExMzMzNzI4fQ.P2wpOAdZ5p8_dQB9k2uei5tuR3fCXVZHwPZvnrZaHm0', '2024-04-24 10:28:48', '2024-03-25 10:28:47.958322', '494de6e6-9ac1-47f2-b649-afac34468a64');
INSERT INTO `user_refresh_tokens` VALUES ('1bdb14fb-f898-4b72-a51e-cf4a5b7baaa6', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiOEZkaU1YckZPSmd4Q015STdmRUpDIiwiaWF0IjoxNzExNDM5NjI1fQ.Vepis6LXtFw7pprrQVheVG0u7wjrnbA9MQmJixRrhmM', '2024-04-25 15:53:46', '2024-03-26 15:53:43.079038', 'e23276d2-3f8b-4ce3-aa75-5f15ccc43512');
INSERT INTO `user_refresh_tokens` VALUES ('1c9ec9aa-2e92-4081-babd-3d3eb805b1b6', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiN1UzeGN0bFdZYThobnZrY2JpemxmIiwiaWF0IjoxNzEwODEyMzQzfQ.BIUCD5cvBfTqmueu-U1wqTo6qUf2udjsUbRphWZNmZw', '2024-04-18 09:39:03', '2024-03-19 09:39:07.405051', '591e086d-96c4-4cab-bb9f-fabe6ee27d43');
INSERT INTO `user_refresh_tokens` VALUES ('2416d21d-4ad8-4349-85e9-61c73056fa62', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiMjZXb1p3LUpWS0ZYN1l2QzhHcFpNIiwiaWF0IjoxNzExNTA5ODMwfQ.H0BhMZ0h5MkwG-_1IVtJMovtcdZnKA8MJ3GzInsBuJM', '2024-04-26 11:23:51', '2024-03-27 11:23:50.959365', 'bde4a4d2-ec77-4247-bfe9-2bdcb2b0c647');
INSERT INTO `user_refresh_tokens` VALUES ('25e1c246-0b08-4ec7-97c6-76c7180e6ccb', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiN1A3MFFWajY2NDJZSkMzaGFKS3VWIiwiaWF0IjoxNzEwMTQ2NTA3fQ.VnbDgerC7dqDX3uY7H-wRUbcz0sM73Be4_yB6exyTGY', '2024-04-10 16:41:48', '2024-03-11 16:41:47.561906', '6c22c272-e33f-4fa4-a331-17b08293c97c');
INSERT INTO `user_refresh_tokens` VALUES ('2840181a-20db-4109-bd69-9ca8c13dd364', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiLU9ZQVZhUzNtN1FvdjMwT0dkVVNTIiwiaWF0IjoxNzEwNzUxNjIzfQ.clJe-5xsDNNlll_sByUfsyTMCIPyStl1mofFCnImeI0', '2024-04-17 16:47:04', '2024-03-18 16:47:04.575279', '0a058377-1c0e-48d6-b143-21d5195ac859');
INSERT INTO `user_refresh_tokens` VALUES ('2843df4e-1fe7-4df1-b6ed-c65b5bb832bd', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoidWZjUnNzWFNSTDRLNHNyM3VReEowIiwiaWF0IjoxNzExMDAwMzI3fQ.PGX4sZTbGbqgdlCpSf7yua85jU8Sh5nHsSE0r_xngIw', '2024-04-20 13:52:07', '2024-03-21 13:52:09.304657', 'e0f833b8-4c69-43cc-ae17-51579379c09c');
INSERT INTO `user_refresh_tokens` VALUES ('29aefbd4-2cd4-46f7-9dc8-fd5480709339', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZTB3THhUTF9HaE5KU0Z5Z05ybkhhIiwiaWF0IjoxNzExNDQwMTMwfQ.ox3LslTVukUV6di-G2mIocFtWIyUGs_9sJQrDRnU4jw', '2024-04-25 16:02:10', '2024-03-26 16:02:07.647313', 'c74cf0ed-b704-4e72-a93f-24a79cb7db07');
INSERT INTO `user_refresh_tokens` VALUES ('302164ad-4379-4a94-b430-7be5eba3c0c8', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZmVaQktfcUtSNktVZVdPRkZBWjRoIiwiaWF0IjoxNzEwODM0ODEwfQ.TMwCSR-QW0zQE7KEJfEkRC4jzBtYpHKOs_cCC_7QIFI', '2024-04-18 15:53:31', '2024-03-19 15:53:32.278476', '191ada91-e54d-46c5-a20d-448022f5da60');
INSERT INTO `user_refresh_tokens` VALUES ('3265f1de-05b4-4e3f-b4aa-942df1fa6226', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoicmtHS0IyNDBHOGhTODlUczlELVdvIiwiaWF0IjoxNzEwOTkxMjQ0fQ.Hl2W3hSqilfjl3w13bB2qNXt-Ob5Z2b0cB99IV-aIH4', '2024-04-20 11:20:44', '2024-03-21 11:20:45.989087', '0bee723d-c635-4396-9656-8165ac9594b0');
INSERT INTO `user_refresh_tokens` VALUES ('37843616-e5f3-4706-a7e0-a2192eba8214', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiWGpCal9pZkpDT0laTEpmUHZ3SlU0IiwiaWF0IjoxNzExNDM5NjU3fQ.PtETXpyt60eSVC5OYP9kFvbsmEQAPdHE9tvrGynAuaM', '2024-04-25 15:54:18', '2024-03-26 15:54:15.435171', '0baa35e7-11a8-4280-be13-b12c9416283b');
INSERT INTO `user_refresh_tokens` VALUES ('3940e4d3-4c4a-4af1-b784-2956817790fe', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoidG4teTFOcWE2d3lxQ1Nwd01mSXRRIiwiaWF0IjoxNzEwOTEyNDQ0fQ.Pamh4EJzVBx6snvXnhw5VJTjDLEYWEXRxYe8Tu1UjQA', '2024-04-19 13:27:25', '2024-03-20 13:27:27.521307', '1ca6754c-710d-4a23-8b17-79fe340e1e65');
INSERT INTO `user_refresh_tokens` VALUES ('3abe7182-349c-4417-b3c6-b62c125f28a4', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoid3ZfRWU3MTk2N0c1TW9jRnV1djNqIiwiaWF0IjoxNzEwOTkwMDU1fQ.jhCbZTW7ljGarY2bGEBV9OMdr6J5If4Y5jukOQrwVbk', '2024-04-20 11:00:55', '2024-03-21 11:00:56.678623', '914b16d0-4508-462e-be5a-44d374c4fd61');
INSERT INTO `user_refresh_tokens` VALUES ('422896a8-0305-4397-b74e-04441ad311e0', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiQllhM2FOWFRTSFZjOHNKeW80QTNTIiwiaWF0IjoxNzExMDY4NDY5fQ.KCA5nqJXD3UjgvsVzUBsS7qXwRry0a0mzLd5Jen1Ftg', '2024-04-21 08:47:50', '2024-03-22 08:47:49.588066', '58fd6fa7-fd30-4a3e-bc79-53d1575745c2');
INSERT INTO `user_refresh_tokens` VALUES ('42b83817-25fd-4a14-85e8-eb74e8f6b2d9', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiU3VmUUxEMG5KREdQbVVSdV9FeU5VIiwiaWF0IjoxNzEwODExNzI0fQ._PgPOASqX3eHKfGTy1I_bPZmUCMWaftmBcTx1BCWbQE', '2024-04-18 09:28:44', '2024-03-19 09:28:47.982722', '63e12288-1b49-4393-a07c-158189f687c7');
INSERT INTO `user_refresh_tokens` VALUES ('46fb00b3-3712-4d57-a233-a3db168ffe6b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZEJRS3hIQ0gxM0xFU0JBVWtFMVhIIiwiaWF0IjoxNzExMDExMTc5fQ.oYXUCnbSfBIQu8Jx2lpAwQV6-lf-vDy0jgGW8d5NMDk', '2024-04-20 16:53:00', '2024-03-21 16:53:02.355897', '31cc91fe-e7b0-4d74-9ea2-f5f12063df86');
INSERT INTO `user_refresh_tokens` VALUES ('494874e7-8b3a-4e39-84bc-5aad8ff76e94', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZ2JzVWhVbFljVGFhZlF6NVYxZVExIiwiaWF0IjoxNzEwODI0NDgxfQ.ICg5zZLHZ1ri5VH-q1XuCvkFVKo11imwYnYgYkt6N0o', '2024-04-18 13:01:22', '2024-03-19 13:01:22.829304', 'bb16d202-1f32-4f55-8fc1-7c653d44d874');
INSERT INTO `user_refresh_tokens` VALUES ('49a01d59-5696-4101-9e40-fcc8898fb530', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiLTdKQk53U29TYTVBakNsOVlqR3R4IiwiaWF0IjoxNzExMDEyOTMxfQ.Ra5Ok3GZPvFre5M12peezgUSxVyHjhU-RECOYdVlRDM', '2024-04-20 17:22:12', '2024-03-21 17:22:14.399610', 'b063d499-6fd3-48ea-b75d-95d3bb301c13');
INSERT INTO `user_refresh_tokens` VALUES ('4c40606e-a096-4a58-a231-15feab4a50a3', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiT1RlQVhMTWpyeW0zMGo1NEtKSDRkIiwiaWF0IjoxNzEwODExNjYzfQ.LPpYzJnkMRFzPGZDgLLgFGHeyV4WpT6_DK_5I0dqrXg', '2024-04-18 09:27:44', '2024-03-19 09:27:47.558544', '0f9677c0-6a16-4b6b-ac83-2ee669fb7ced');
INSERT INTO `user_refresh_tokens` VALUES ('4c89232a-d38d-4156-84ef-420440c7d259', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiNnl5TjhneVNkWUUyUnZiaVdGOEMzIiwiaWF0IjoxNzEwODEwNjM3fQ.5gD2k6T1ZkDWupC95Z7W3iuaFMIibDaYn37E3vQDqdk', '2024-04-18 09:10:38', '2024-03-19 09:10:41.639655', 'ce151b19-e87d-4cce-9493-fb0aa203198b');
INSERT INTO `user_refresh_tokens` VALUES ('51df5f43-4d4e-4d0d-9ee8-bb9530aae045', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoidGY5S1VsRXNzczVmaVhWamNVbW1uIiwiaWF0IjoxNzExNTE4NjA1fQ.YX59QyZ1i6IwBn7xl4_lBqDHanPLXCivM3UV7LpcJ3E', '2024-04-26 13:50:06', '2024-03-27 13:50:06.339976', '6e81f813-8166-434a-8b01-a3793bc9ba78');
INSERT INTO `user_refresh_tokens` VALUES ('5743467d-c14d-4c38-aa04-2efa605594a5', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiQktMNk9jazllVjY4MGNiam1xV3JvIiwiaWF0IjoxNzExNjAyMzc0fQ.p6grGAQsZH1LDhV-eqenQ9hixg-wxmJfOMLoFd5t1GY', '2024-04-27 13:06:15', '2024-03-28 13:06:16.580783', '692a1a4d-08fc-490e-97d2-f9997d6e734a');
INSERT INTO `user_refresh_tokens` VALUES ('5808a8cd-ae81-4bee-a009-f2260272ecfd', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiS1Y5a3ptZG9DS3ZJUlVVQzMwZFFNIiwiaWF0IjoxNzEwODExNjAzfQ.kijNuWLCfEetuAjzCwNhQseI-XQdTprcs92OqiRT_gE', '2024-04-18 09:26:44', '2024-03-19 09:26:47.686629', '5478eda6-191c-4643-9923-a1c1d83a25ee');
INSERT INTO `user_refresh_tokens` VALUES ('5a888318-988c-4569-b2b6-cc0c904c072b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoienNtY1JVWE04OGhkMzNFUDlhaHktIiwiaWF0IjoxNzExNTA4NzMyfQ.lGSuPjMYJz3K8DdapAxatdaH2MiubuGaMzn0qnj2CAg', '2024-04-26 11:05:33', '2024-03-27 11:05:32.661859', 'a2822d05-b23a-4df0-a048-539fa79593c6');
INSERT INTO `user_refresh_tokens` VALUES ('5b6b4d4f-6138-428c-b301-ce06fa9e8622', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiY3lTTzJRcGZGQUxvTUI3a3lkWkhYIiwiaWF0IjoxNzExNTA5MzUzfQ.RxyZd98QDBWpnadQHBlrKvG2OfPRj-TNs_rofEeSk08', '2024-04-26 11:15:54', '2024-03-27 11:15:54.036521', 'ed53543e-51a0-4163-8954-f96a7e1fadcb');
INSERT INTO `user_refresh_tokens` VALUES ('5c368087-4b15-4dd5-9c82-780c26a835c4', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiOU1ndU5qMU5BZkJWaG83WDBGeUV4IiwiaWF0IjoxNzEwODMxNjA4fQ._rSOd_AOpCJyXeaHR5EAYXRKMSAA2x-kOEbwfd7iCmc', '2024-04-18 15:00:09', '2024-03-19 15:00:10.133803', '585cba42-9d53-4003-9194-20ccb52080f1');
INSERT INTO `user_refresh_tokens` VALUES ('6318b4a5-9c58-4a0e-819b-685cfbefe816', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoia1JUV0R2ZVJiVV93WW8xUTk2ak9ZIiwiaWF0IjoxNzExMDY4ODkxfQ.xvFPtqW5kSfb_eDp-ujCz5lbp3pQyafSfv2oarKVE9E', '2024-04-21 08:54:52', '2024-03-22 08:54:51.445971', '366b9989-b264-4d58-bd6a-4f8da8e0250d');
INSERT INTO `user_refresh_tokens` VALUES ('66f1ff35-76de-4d8d-a972-8fcd31346701', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiNWxzOUNvY3k2cENjSnJ5MzZmdElmIiwiaWF0IjoxNzExNDM5ODI1fQ.oyDCgJ9pCCuZZ5-2g7oTDe-Gs-M9WaIO7WPJcDOCVhk', '2024-04-25 15:57:05', '2024-03-26 15:57:02.544678', 'e087f105-324d-4b0d-b44a-4f9c6041a258');
INSERT INTO `user_refresh_tokens` VALUES ('67a872e3-4271-4ed6-b86d-c924bff77718', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiRmxWUWt0REVmRFNjbHNZTHl4VzVGIiwiaWF0IjoxNzExNTEwMDE1fQ.XrXiErlUhK5n1E1keKwCqbiisBfrQsopn9i_ovYD948', '2024-04-26 11:26:55', '2024-03-27 11:26:55.144420', '760fa21e-b944-4138-9a28-59ca4c41cc53');
INSERT INTO `user_refresh_tokens` VALUES ('67df20a7-80e6-484d-a759-819220620225', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoic0RJM2hBWTNPbDBQaU1TeHhxVm1nIiwiaWF0IjoxNzExNTA4Mzc4fQ.TIFiY5glD17SYnMdi0GlgMaIyn7xAuqxG5ISWHq6e_0', '2024-04-26 10:59:38', '2024-03-27 10:59:38.044944', '0a52047b-397f-4ff2-9bfc-9940e17b2fcb');
INSERT INTO `user_refresh_tokens` VALUES ('682f7771-7ef2-49df-bec7-b9bd8fd991c2', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiVDhWSk5idlByQmU2SmkyeTUwS0xtIiwiaWF0IjoxNzEwODE4NzU0fQ.cAt6yHsB2nfk8E92BvfMpYlibcHf7h6ktEqULOMlzqw', '2024-04-18 11:25:54', '2024-03-19 11:25:55.044706', '359f13d0-5507-4de6-8577-8c315892fa00');
INSERT INTO `user_refresh_tokens` VALUES ('6dffecbb-34b5-4348-aee1-1fba4de70cbf', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoidVEydGV5Nkd0aDVZcDlLa1JaaTRXIiwiaWF0IjoxNzExMDcyMTkwfQ.N1-1tKBDL-i4CKqU7t2OWeKNFLB-uNPJCmf7QsnqXcI', '2024-04-21 09:49:50', '2024-03-22 09:49:50.157484', '801e4049-e49a-474c-9622-603e191c9767');
INSERT INTO `user_refresh_tokens` VALUES ('7a89b195-6441-40fc-8075-3036d89de7b2', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiTWdxN0hrTkxHZDlfOTYtZlY1YXR6IiwiaWF0IjoxNzEwMTQ1NTM1fQ.MXcDHgeIqIN43yBxa1eHRWogy71icRm3uG4LqBs2ITM', '2024-04-10 16:25:35', '2024-03-11 16:25:35.165240', '8d765f70-9ea8-4ca9-b072-b20be8fa6a77');
INSERT INTO `user_refresh_tokens` VALUES ('83eeafc6-f0b2-41b1-b752-ba6e81ea2785', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiMGg2cnZ0MVF5bUtCN2dXWUFLU3dtIiwiaWF0IjoxNzEwODEwMTY1fQ.80MvJxXaeLhb1_BsX55hbIzw7emkYTqcJkx1hddk7HA', '2024-04-18 09:02:45', '2024-03-19 09:02:49.147999', '9096c688-07d7-4709-a431-1bece82f3b93');
INSERT INTO `user_refresh_tokens` VALUES ('8904ac6c-0fe7-46a7-9c2e-c887c02cfc7a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiUng1TTlGbXVxSlJPU1NXbFhROGZYIiwiaWF0IjoxNzEwOTEwOTEzfQ.NIVSj-zZAP0m2aN4vxUgD34k7wGtkV_eckqk6egR_5M', '2024-04-19 13:01:53', '2024-03-20 13:01:56.153283', 'ecdd1694-db7c-442c-a998-ef708d6a2a67');
INSERT INTO `user_refresh_tokens` VALUES ('8c17e219-f258-47db-abef-2a11a7186b2a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiNXpBRXVON0ZfYlVJNjduTElpOGdxIiwiaWF0IjoxNzExNTAzOTA2fQ.Z2_HsrSAPvYM4xNFXQnvrCVEg411YBo_8HboDfwcubE', '2024-04-26 09:45:07', '2024-03-27 09:45:06.549262', '2a71c8ce-d4d4-47c4-b004-928f5056676b');
INSERT INTO `user_refresh_tokens` VALUES ('90dfeaa3-3fcf-4331-8f82-db4fc82f9bff', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiV190N2NKM0E4OEFQU1FjZmR2UDR5IiwiaWF0IjoxNzExNTE4ODUxfQ.d-yOrwMWzGGdPKS5J3trIb_aFhAqOdLLwRnIdNzpbMc', '2024-04-26 13:54:12', '2024-03-27 13:54:12.227440', '00866088-2523-44ab-b972-1edb92b5318a');
INSERT INTO `user_refresh_tokens` VALUES ('9438a093-f9c5-4109-a01e-e8a41e91cb8b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZ0JGOFhSMEwzLTAzVmstbFc5TTFYIiwiaWF0IjoxNzEwODQwNjI1fQ.uLNqf8hiq8YfyCTCrZxBQB1XnuGu9XkSB01wOSfuKA8', '2024-04-18 17:30:26', '2024-03-19 17:30:27.503873', '95cc9059-6e9b-4354-84ed-29fe0807fac7');
INSERT INTO `user_refresh_tokens` VALUES ('9546e470-dcf8-4c8f-880c-6664aaac22e2', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiNklNblJ3amIwT2xTZjdhSWJCVTNUIiwiaWF0IjoxNzExNTA1MDcwfQ.5s8e-SxStipQf_7_8hC0kIaxAIDCgJqthJkLK22U0cE', '2024-04-26 10:04:30', '2024-03-27 10:04:30.047305', '2a5358f2-a465-4241-834f-271f72fbf947');
INSERT INTO `user_refresh_tokens` VALUES ('97e4ba1d-8a09-447c-967c-e9110c7697f6', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoieTYzNlY2R3JjS3cxeEZZQUJJU2VEIiwiaWF0IjoxNzEwMjA1MzUyfQ.95FHvqWgjxSPnmhcTXFlSc27f4uzUlFCoAjvdBqDLhk', '2024-04-11 09:02:33', '2024-03-12 09:02:32.691301', '59b32e05-ed47-4634-adf2-86076aac9274');
INSERT INTO `user_refresh_tokens` VALUES ('9b349285-f4b9-41a6-944b-2c3c4e7dae60', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiaGdlM0NJQTVKNTRDR2ZqbWkyMzJIIiwiaWF0IjoxNzExNTA4NjUzfQ.JNYJI2F7NUEaNjVLAf7iVaUVMiJ6vUNdpsCZrfuQHEg', '2024-04-26 11:04:14', '2024-03-27 11:04:13.816062', 'cc1cc297-6be6-4267-9aec-fa45e59710eb');
INSERT INTO `user_refresh_tokens` VALUES ('a545b874-66c2-496b-80d6-2e2d7c80f54c', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiaS1ZdEJnOWx1RVMwR2J4SkQxMTVIIiwiaWF0IjoxNzEwODExMzQzfQ.PQtYDGzsAjq-9UGwsT39xrZeqNQrf-7J4YFiby_4Pvo', '2024-04-18 09:22:23', '2024-03-19 09:22:27.254054', '1added11-2ae5-4e39-bfd1-3972d3d95ad6');
INSERT INTO `user_refresh_tokens` VALUES ('ac390ee3-d586-43ff-aab0-e4820e585fc6', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiTXMybFdMWndZbUxsbnhrUlRKYmFoIiwiaWF0IjoxNzExNDM4MTkxfQ.HGoplU0yWFYkiSQB2nfkTsys-gydpCLMmJNmJIhHqOU', '2024-04-25 15:29:51', '2024-03-26 15:29:48.535514', 'cc472002-f409-4273-aa55-dde97cb1ac29');
INSERT INTO `user_refresh_tokens` VALUES ('ae713a5b-7336-4a9b-953c-9f4c010229bb', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoial9hb184RGhfX2o0ZF9pdG50U0pCIiwiaWF0IjoxNzEwNzUxNTUyfQ.e6D-WvoL8W-EfuKS7cxo507YMY8agjj6B5VGldBwz24', '2024-04-17 16:45:53', '2024-03-18 16:45:53.602709', 'd18de5f3-f114-4f19-8981-5ef576706a60');
INSERT INTO `user_refresh_tokens` VALUES ('b04b1fa0-c9a1-42c6-92ad-4c006acd47b5', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiQ3VzQkt2b01JSEtVVWJrNkVLTUJxIiwiaWF0IjoxNzEwODEwMDcwfQ.BAVsxgpTk1stXBo_7nPiGF7FRPBLfrOauisyQuJbM7g', '2024-04-18 09:01:10', '2024-03-19 09:01:14.248119', 'eebefeae-565c-44c5-b43c-a2eee2077b5b');
INSERT INTO `user_refresh_tokens` VALUES ('b3e24d0e-75ba-4e52-80c8-efd4c359aa78', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiMnV3dGhKVmthMndzNlFVYktVLXRCIiwiaWF0IjoxNzExMDAxNjMxfQ.Njo3WEb8vU_I0-kMDd0HWK0DhwIdUku9nxOP5h8NMHA', '2024-04-20 14:13:52', '2024-03-21 14:13:54.053415', '3e0918fa-04c2-45df-858e-34d725c21a25');
INSERT INTO `user_refresh_tokens` VALUES ('b4c414c5-fbe1-44a6-99a6-429f29322b67', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoibHk0ZmdacWtqcEtLX3FueWNVQ29SIiwiaWF0IjoxNzExNDM4MzI3fQ.uugw-52NPiCfw4vWPhVo8BUoYcAiMiTI7yNwvHuBh2g', '2024-04-25 15:32:07', '2024-03-26 15:32:04.561632', 'f87de777-667c-4add-938b-d121d69361f6');
INSERT INTO `user_refresh_tokens` VALUES ('b9fbe7eb-638f-4c9a-8c21-d95062bd7bd9', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiQkRaNWd1ekJ0UVY0Vk43M1pScUJzIiwiaWF0IjoxNzEwMjI0MDY3fQ.IzUJ_rUGyqXyusRgZGW8LvRb4C9ELZQ8LIJ24JEWgx4', '2024-04-11 14:14:27', '2024-03-12 14:14:27.150768', '7c7a14dc-5cc7-4fc9-922f-745b916a2e8b');
INSERT INTO `user_refresh_tokens` VALUES ('bc30efde-ded0-456e-95e3-8d6c6e0e321b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiQUZBdk45ZTB6Rm1HcHNuYWVrdHp1IiwiaWF0IjoxNzEwODEyMzgwfQ.OXLTRX_0LPY_9jx0LJ8l4UE9hExvmTnASAbQgEofOtA', '2024-04-18 09:39:40', '2024-03-19 09:39:44.327657', '3e6845c8-9cc3-492e-bcd7-9636b00d5631');
INSERT INTO `user_refresh_tokens` VALUES ('cacae50f-eb2f-43a6-82bd-1811a717c111', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiMTg1X0xTN2F6SVlOa2FmT1ZsWEVqIiwiaWF0IjoxNzExMzM4MDIxfQ.j-kiCfCcZELGLKWf9FRr_GbOXaMAWz6ysjwo2GPhDns', '2024-04-24 11:40:22', '2024-03-25 11:40:21.412052', 'e0b66a0d-2522-4423-8a04-81e282520f2f');
INSERT INTO `user_refresh_tokens` VALUES ('d0215443-a830-47ee-a75e-13502f411433', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiTEp0bGp3R0RFMGFkY0ZOX3h1dGJoIiwiaWF0IjoxNzEwODI2Nzg4fQ.XNw0G7z9AhKZKdk05InMQIeRJLNYRKEk1CCI-qHaMGU', '2024-04-18 13:39:49', '2024-03-19 13:39:49.834145', '835e7377-9633-444e-9522-ec6df447ff79');
INSERT INTO `user_refresh_tokens` VALUES ('d0e92ef9-4ee0-41f8-873c-a680b20a43df', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZDRxNVR4ZU1rWWNJMGNYbnJET1JfIiwiaWF0IjoxNzEwODM3MTU5fQ.SmfXw9Imy_z2wV-jOcmQ6g1gtfBVDMf3egw0bMcFf9w', '2024-04-18 16:32:40', '2024-03-19 16:32:41.346471', '0233ea11-41af-453a-b8ed-b9731b252d05');
INSERT INTO `user_refresh_tokens` VALUES ('d7d1c449-e07c-4700-bab0-f713cbcc3a78', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZkE4OWRwMVIweGFYWE9vV09KTWVfIiwiaWF0IjoxNzEwMTQ4MTA0fQ.ZhoxEyMwPEkJybPS32ERrwiaG0ghfGLwbUdy9otrQp4', '2024-04-10 17:08:24', '2024-03-11 17:08:24.311139', '202c3f1c-6068-427f-8c75-50b24f93a5c8');
INSERT INTO `user_refresh_tokens` VALUES ('d9767c5f-e5f1-4fdc-a04c-25ff3efcffe1', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiWXI1bjFsaDExcVN2TVBiOTJVcVJXIiwiaWF0IjoxNzExMDY3MzE5fQ.9iNQ4XzkiWcX2wh1hVtn04ZD11CA72bYnW73KMf3ng8', '2024-04-21 08:28:40', '2024-03-22 08:28:39.885024', 'faa26fea-b099-4edf-a9ca-642f06a4e8c1');
INSERT INTO `user_refresh_tokens` VALUES ('e198a609-85fd-40da-b5dc-945e11714358', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoicWNWRXJfYnpRbExxNjRCOVhMdFdOIiwiaWF0IjoxNzEwMjAzNTU1fQ.cYDa78wUzAus4AKBLJZ0mBCKcGpovG-45-zTUGnhYG0', '2024-04-11 08:32:35', '2024-03-12 08:32:35.344070', 'ab1e415f-d811-47ea-9226-86684b71060f');
INSERT INTO `user_refresh_tokens` VALUES ('e208e8f8-dab2-499d-b8c1-868e27e455d1', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiOGlhYWlkcmotU2V6eGk0Vm05Z1g5IiwiaWF0IjoxNzExNTE4NjE4fQ.1JxM1QNvt0k4eq9npx55993acHLSRYJ2XXulKEGEl04', '2024-04-26 13:50:18', '2024-03-27 13:50:18.624158', '9b8a542b-f702-4fa9-87ce-ca87d3063dac');
INSERT INTO `user_refresh_tokens` VALUES ('e3ae9984-0abc-4d14-a111-287b93dff0f3', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZ0dtUkxxVXdpOXhTMkNMcFg4amR3IiwiaWF0IjoxNzEwODM4MDIzfQ.Jy_zuiNofB8w7iEKV-S72pm4RGYc6xgorQvSRR5ZP_U', '2024-04-18 16:47:03', '2024-03-19 16:47:04.913410', '34463fa6-75ab-4fc2-ae16-b2e537c8b36d');
INSERT INTO `user_refresh_tokens` VALUES ('e4adc089-f257-478f-97f0-8b42ce129a8d', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiSkJFOTg2a0xFaG94aVllRV9XT1NFIiwiaWF0IjoxNzExNDM4Mjk0fQ.nYOVp0WwjMl_tZaX-su3xtVuZsAnbN5s8YlX-gq1oDs', '2024-04-25 15:31:34', '2024-03-26 15:31:31.685709', '2af24ef8-886d-4510-b8be-816023f2e517');
INSERT INTO `user_refresh_tokens` VALUES ('e6c586df-a32d-45e2-8f7b-6523d2cee2b2', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiUjZrQ0VpWTRrYWhPVVdIVzhHN0IzIiwiaWF0IjoxNzExNDM5Njg3fQ.HNxzaw5Ycf0zMImPhbKkV20uCrzn04Vd9Y0BU1g3i2s', '2024-04-25 15:54:48', '2024-03-26 15:54:45.113890', '85ca2577-5bfe-42f2-b1a5-f2342ab0b42a');
INSERT INTO `user_refresh_tokens` VALUES ('ea7f6fe0-ec8a-43e1-8ebc-ab0c228cbed3', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiM1RLN2hHRVRoRS1DXzBsdjBIcEV3IiwiaWF0IjoxNzExMDY4NTIxfQ.o-Hs0yjcCF-WbpIi72VM380Bri-awOx-nCNo9Yp9oRE', '2024-04-21 08:48:41', '2024-03-22 08:48:40.820075', 'b140cb61-64a4-4e5f-b278-5d1764f28524');
INSERT INTO `user_refresh_tokens` VALUES ('eaaccc99-f345-4df0-8531-10fd5e0da753', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiUGNKX3YyQU56ZTVPeDkta2Y3cU1qIiwiaWF0IjoxNzEwODEyNDMwfQ.jhwk0CSQ6rlzy17aqei586kNJkXb2kpSu-9wZ3YuUsY', '2024-04-18 09:40:30', '2024-03-19 09:40:34.009354', 'aa08e3d0-b1ab-410f-8504-0ae8e2504864');
INSERT INTO `user_refresh_tokens` VALUES ('ec2dbc1b-aa6e-42bf-be3f-9c1fdd230340', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiUU9US0l5LU9SZWFRdHI1TVdEM195IiwiaWF0IjoxNzEwODExNzM5fQ.3eXDFyZZPKxnHCuriw0dmeqf6GUOnc_S3uOdC4Oxuy4', '2024-04-18 09:28:59', '2024-03-19 09:29:03.177688', 'e7ba638f-c89f-47e9-bd67-8918a7cb8cc3');
INSERT INTO `user_refresh_tokens` VALUES ('f1a3e670-9d12-44a6-8b83-b0e0778100ad', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoibzJmWWxkQTZGV0w3M1lRR09lRnVHIiwiaWF0IjoxNzExMDY4NzQ5fQ.PD5lAFhnCc69EFqvR2JYBGej7cbn6sFuhG5sXp0gMFU', '2024-04-21 08:52:30', '2024-03-22 08:52:29.476656', 'c519656a-1312-4074-990d-e9577c000278');
INSERT INTO `user_refresh_tokens` VALUES ('f4fce7f4-fbe3-46b2-a75b-ba11fb647e5c', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiamhLa0xfb1NXdUJ5TkdOQ1FYRGd5IiwiaWF0IjoxNzEwODExMjE2fQ.dEeCaXdTog4G9lmJHCCkzWD_QVUQRO1rrlmlBVq_LXQ', '2024-04-18 09:20:16', '2024-03-19 09:20:20.331443', '29c99bed-2ad0-455d-9085-9e59192e2426');
INSERT INTO `user_refresh_tokens` VALUES ('f7ef3cda-6ff7-4f45-aab8-b9be92fbcece', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiclpYRzhxdTh0d09DUkQ2VXdhSmN4IiwiaWF0IjoxNzExNDM4MjE4fQ.aIWdev__QoIH4swvCYYR3gopPB__Nnx6VohCCM3pWi4', '2024-04-25 15:30:19', '2024-03-26 15:30:16.107682', 'b7f0d7b7-eb71-4eb1-a47d-88c444a44b2f');
INSERT INTO `user_refresh_tokens` VALUES ('f83618c0-574f-47bc-a98b-2758ff129956', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiLUVIWWhpSmNBRDRUaEVkVVZWRGJqIiwiaWF0IjoxNzEwOTg1MjIzfQ.pRRd0XCTS8qVOATSdgcPPNbhoA9t2v8AV8hUkn2n6UY', '2024-04-20 09:40:23', '2024-03-21 09:40:24.889886', 'b85f77c8-fd9c-4f97-b680-666be5b2deb6');
INSERT INTO `user_refresh_tokens` VALUES ('fdb751bd-22fd-40bd-8fb6-bdfc1ea64a2a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiN2E5ZE9KVndsdzlYWVdLbmt5ck9IIiwiaWF0IjoxNzExMDczOTA2fQ.YUoi63l27GMv2A8QVPO73KrkRLkG9xUWV5scac3lhSQ', '2024-04-21 10:18:26', '2024-03-22 10:18:26.309973', '5bb267d3-8f88-4a1c-90cc-b36c5bf156fa');

-- ----------------------------
-- Table structure for vehicle_usage
-- ----------------------------
DROP TABLE IF EXISTS `vehicle_usage`;
CREATE TABLE `vehicle_usage`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `reviewer` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '审核人',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '审核状态(字典)',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `year` int NOT NULL COMMENT '年度',
  `vehicle_id` int NOT NULL COMMENT '外出使用的车辆名称(字典)',
  `applicant` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '申请人',
  `driver` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '出行司机',
  `current_mileage` int NULL DEFAULT NULL COMMENT '当前车辆里程数(KM)',
  `expected_start_date` date NULL DEFAULT NULL COMMENT '预计出行开始时间',
  `expected_end_date` date NULL DEFAULT NULL COMMENT '预计出行结束时间',
  `purpose` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '使用事由',
  `actual_return_time` date NULL DEFAULT NULL COMMENT '实际回司时间',
  `return_mileage` int NULL DEFAULT NULL COMMENT '回城车辆里程数(KM)',
  `partner` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '随行人员',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_6aff0ec40ff474e6228c1125f5c`(`vehicle_id`) USING BTREE,
  CONSTRAINT `FK_6aff0ec40ff474e6228c1125f5c` FOREIGN KEY (`vehicle_id`) REFERENCES `sys_dict_item` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of vehicle_usage
-- ----------------------------
INSERT INTO `vehicle_usage` VALUES (1, '2024-03-08 09:42:45.944580', '2024-03-08 10:23:13.000000', '邹姐', 1, NULL, 2023, 24, '卢大仙', '', 35001, '2024-03-08', '2024-03-15', '接客户', '2024-03-15', 35010, NULL);
INSERT INTO `vehicle_usage` VALUES (2, '2024-03-08 09:51:29.014799', '2024-03-08 09:51:29.014799', NULL, 0, NULL, 2024, 25, '卢大仙', NULL, NULL, '2024-02-27', '2024-02-27', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for vehicle_usage_storage
-- ----------------------------
DROP TABLE IF EXISTS `vehicle_usage_storage`;
CREATE TABLE `vehicle_usage_storage`  (
  `vehicle_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`vehicle_id`, `file_id`) USING BTREE,
  INDEX `IDX_1d122393de1ee773c383569e71`(`vehicle_id`) USING BTREE,
  INDEX `IDX_a8cbcb6835a9212dd2a49b50ed`(`file_id`) USING BTREE,
  CONSTRAINT `FK_1d122393de1ee773c383569e717` FOREIGN KEY (`vehicle_id`) REFERENCES `vehicle_usage` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_a8cbcb6835a9212dd2a49b50ed9` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of vehicle_usage_storage
-- ----------------------------
INSERT INTO `vehicle_usage_storage` VALUES (1, 146);
INSERT INTO `vehicle_usage_storage` VALUES (1, 147);

SET FOREIGN_KEY_CHECKS = 1;
